<?php

/**
 * Description of User
 *
 * @author Softpro India Pvt. Ltd.
 */
class GallaryManagement extends CI_Model {

    //put your code here

    function getGallaryLimits($userType) {
        $this->db->select("*");
        $this->db->from("tbl_gallery_limit");
        $this->db->where("lim_for", $userType);
        return $this->db->get();
    }

    function getGallaryData($userid, $pic_id = '') {
        $this->db->select("*");
        $this->db->from("tbl_gallery");
        $this->db->where("u_id", $userid);
        if($pic_id!='')
            $this->db->where("pic_id", $pic_id);
        $this->db->where("pic_status", "t");
        return $this->db->get();
    }

    function addGallaryImage($gallarydata) {
        $this->db->insert("tbl_gallery", $gallarydata);
        return $this->db->insert_id();
    }

    function deleteGallaryImage($pic_id) {
        $this->db->where("pic_id", $pic_id);
        return $this->db->update("tbl_gallery",array("pic_status"=>"f"));
    }
    
    function updateGallary($pic_id,$gallaryData){
        $this->db->where("pic_id",$pic_id);
        return $this->db->update("tbl_gallery",$gallaryData);
    }

}
