<?php $userData = $this->session->userdata("userData"); ?>
<div class="se-pre-con"></div>
<section>
    <!-- sidebar menu start -->
    <div class="sidebar-menu sticky-sidebar-menu">
        <div class="logo">
            <h1><a href="<?php echo site_url("user/"); ?>">Alumni Portal</a></h1>
        </div>
        <div class="logo-icon text-center " style='background-color:white;'>
            <a href="<?php echo site_url("user/"); ?>" title="logo"><img  src="<?php echo base_url("/assets/admin/images/branchLogo/branchlogo.png") ?>" alt="logo-icon"> </a>
        </div>
        <!-- //logo end -->
        <div class="sidebar-menu-inner">
            <!-- sidebar nav start -->
            <ul class="nav nav-pills nav-stacked custom-nav">
                <li id="dashboard" class="active"><a href="<?php echo site_url("user/Dashboard"); ?>"><i class="fa fa-tachometer"></i><span> Dashboard</span></a>
                </li>
                <?php
                if ($userData["user_role"] == "Alumni") {
                    ?>
                    <li id="job" class="menu-list">
                        <a href="#"><i class="fa fa-suitcase"></i>
                            <span>Job Profile </span></a>
                        <ul class="sub-menu-list">
                            <li><a href="<?php echo site_url("user/Job/addJob"); ?>">Add Job</a> </li>
                            <li><a href="<?php echo site_url("user/Job"); ?>">Job Report</a> </li>
                        </ul>
                    </li>
                    <?php
                }
                ?>
                <li id="gallery"><a href="<?php echo site_url("user/Gallary"); ?>"><i class="fa fa-picture-o"></i> <span>Gallery</span></a></li>
                <li id="postMgt" class="menu-list">
                    <a href="#"><i class="fa fa-envelope"></i>
                        <span>Post Management </span></a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url("user/Post/createPost"); ?>">Create Post</a> </li>
                        <li><a href="<?php echo site_url("user/Post"); ?>">My Posts</a> </li>
                        <li><a href="<?php echo site_url("user/Post/postReport"); ?>">Public Posts</a> </li>
                    </ul>
                </li>
                <li><a href="<?php echo site_url("Authentication/authLogout"); ?>"><i class="fa fa-power-off"></i> <span>Logout</span></a></li>
            </ul>
            <!-- //sidebar nav end -->
            <!-- toggle button start -->
            <a class="toggle-btn">
                <i class="fa fa-angle-double-left menu-collapsed__left"><span>Collapse Sidebar</span></i>
                <i class="fa fa-angle-double-right menu-collapsed__right"></i>
            </a>
            <!-- //toggle button end -->
        </div>
    </div>
    <!-- //sidebar menu end -->
    <!-- header-starts -->
    <div class="header sticky-header">
        <!-- notification menu start -->
        <div class="menu-right">
            <div class="navbar user-panel-top">
                <div class="search-box" style="width: 18em;" data-toggle="tooltip" title="Search by : Name,Email,Mobile,Course,User-Type,Gender.">
                    <?php echo form_open(site_url("user/User/getUsers"),array("name"=>"searchFrm","id"=>"searchFrm"))?>
                        <input class="search-input" placeholder="Search anything here..." type="search" name="search" id="search">
                        <button class="search-submit" value=""><span class="fa fa-search"></span></button>
                    <?php echo form_close();?>
                </div>
                <div class="user-dropdown-details d-flex">
                    <div class="profile_details_left">
                        <ul class="nofitications-dropdown">
                            <li class="dropdown">
                                <a   href="<?php //echo site_url("user/Notification/setNotificationSeenData");?>" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i
                                        class="fa fa-bell-o" onClick="<?php if(sizeof($notificationList)>0) echo "getNotificationToSeen()"; else echo "#";?>"></i><span class="badge blue"><?php echo sizeof($notificationList); ?></span></a>
                                <ul class="dropdown-menu">
                                    <li>
                                        <div class="notification_header">
                                            <h3>Notifications</h3>
                                        </div>
                                    </li>
                                    <?php
                                    //echo $this->db->last_query();
                                    for ($i = 0; $i < sizeof($notificationList); $i++) {
                                        $notif = $notificationList[$i];
                                        ?>
                                        <li class="notificiation-hover">
                                            <a href="<?php echo site_url("user/Notification/notificationDetails/".$notif->n_id);?>" class="grid">
                                                <div class="user_img"><img src="<?php echo base_url($notif->n_icon);?>" alt="<?php echo $notif->n_icon;?>"></div>
                                                <div class="notification_desc">
                                                    <p><?php echo $notif->n_title; echo $notif->n_id;?></p>
                                                    <span><?php echo date("d-m-Y", strtotime($notif->n_date_added));?></span>
                                                </div>
                                            </a>
                                        </li>
                                        <?php
                                    }
                                    ?>
                                    <li>
                                        <div class="notification_bottom">
                                            <a href="<?php echo site_url("user/Notification");?>" class="bg-primary">See all notifications</a>
                                        </div>
                                    </li>
                                </ul>
                            </li>   
                        </ul>
                    </div>
                    <div class="menu-right">
                        <div class="navbar user-panel-top">
                            <div class="user-dropdown-details d-flex">
                                <div class="profile_details">
                                    <ul>
                                        <li class="dropdown profile_details_drop">
                                            <a href="#" class="dropdown-toggle " data-toggle="dropdown" id="dropdownMenu3" aria-haspopup="true"
                                               aria-expanded="false">
                                                <div class="profile_img">
                                                    <img alt="<?php echo $userData["profileImg"]; ?>" src="<?php echo base_url() . $userData["profileImg"]; ?>" class="rounded-circle" alt="" />
                                                    <div class="user-active">
                                                        <span></span>
                                                    </div>
                                                </div>
                                            </a>
                                            <ul class="dropdown-menu drp-mnu" id="prf_dropdown" aria-labelledby="dropdownMenu3">
                                                <li class="user-info">
                                                    <h5 class="user-name"><?php echo $this->session->userdata("userData")["name"]; ?></h5>
                                                    <span class="status m1-2"><?php echo $this->session->userdata("userData")["user_role"]; ?></span>
                                                </li>
                                                <li> <a href="<?php echo site_url("user/Profile"); ?>"><i class="fa fa-key"></i>Manage Persoanl Info</a> </li>
                                                <li> <a href="<?php echo site_url("user/Feedback/createFeedback"); ?>"><i class="fa fa-comments "></i>Feedback</a> </li>
                                                <li> <a href="<?php echo site_url("user/ChangePassword/changePassword"); ?>"><i class="fa fa-key"></i>Change Password</a> </li>
                                                <li> <a href="<?php echo site_url("Authentication/authLogout"); ?>"><i class="fa fa-power-off"></i>Logout</a> </li>
                                            </ul>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!--notification menu end -->
    </div>
    <!-- //header-ends -->
</section>
</body>
</html>
