
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Search Result :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Alumni Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/style-liberty.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/user/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/user/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/user/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("user/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("user/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Search Result</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-3">
                        <h3 class="card__title"><i class="fa fa-bell-o"></i> &nbsp;Search Result For ' <?php echo ($searchKeyword==null||$searchKeyword=="")? "ALL" : $searchKeyword;?>'</h3><br>
                        <div class="row">
                            <div class="col-lg-12 mt-3 pull-right">
                                <?php echo $this->pagination->create_links(); ?> 
                            </div>
                            <?php
                            //echo $this->db->last_query();
                            for ($i = 0; $i < sizeof($searchResult); $i++) {
                                $record = $searchResult[$i];
                                ?>
                                <div class="col-lg-6 mt-l3">
                                    <div class="card" stye="cursor:pointer;" onClick="window.location.href = '<?php echo site_url("user/User/userDetails/" . $record->userid); ?>'">
                                        <div class="card-body">
                                            <div class="row">
                                                    <div class="col-md-3">
                                                        <span>
                                                            <img class="img img-circle" src="<?php echo (!file_exists("./" . $record->p_photo) ||($record->p_photo == null || $record->p_photo == "")) ? base_url()."assets/user/uploads/profileimg.png" : base_url() . $record->p_photo; ?>" height="160px">
                                                        </span>
                                                    </div>
                                                    <div class="col-md-5 pl-0 mt-4">
                                                        
                                                        <ul style="list-style: none;font-size: large">
                                                            <li> <label class="input__label"><b><?php echo strtoupper($record->name);?></b></label> </li>   
                                                            <li> <label class="input__label"><b><?php echo strtoupper($record->email);?></b></label> </li>   
                                                            <li> <label class="input__label"><b><?php echo strtoupper($record->c_name);?></b></label> </li>   
                                                            <li> <label class="input__label"><b><?php echo strtoupper($record->session);?></b></label> </li>   
                                                            <li> <label class="input__label"><b><?php echo strtoupper($record->user_type);?></b></label> </li>   
                                                        </ul>
                                                                                                                 
                                                    </div>
                                                    <div class="col-md-4"></div>
                                                </div>     
                                            
                                        </div>
                                    </div>
                                </div>
                                <?php
                            }
                            ?>
                            <div class="col-lg-12 mt-3 pull-right">
                                <div class="pull-left">
                                    <p> Showing <?php
                                        if ($offset == 0)
                                            echo "1";
                                        else
                                            echo $offset + 1;
                                        ?> to <?php
                                        $off = $offset + $per_page . " ";
                                        if ($off < $noOfTotalResult)
                                            echo $off;
                                        else
                                            echo $noOfTotalResult;
                                        ?>of <?php echo $noOfTotalResult; ?> Entries</p>
                                </div>
                                <div class="pull-right">
                                </div>
                                <?php //    echo $this->pagination->create_links(); ?> 
                            </div>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("user/footer");
    ?>
