<?php

/**
 * Controller For Handling Requests Related To GRP Portals
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class ExternalLinks extends CI_Controller {

    public function grPortal() {
        if ($this->sessionvalidator->isLoggedIn() && $this->sessionvalidator->isAccessGranted()) {
            $this->load->view('admin/onlineGRPDashboard');
        } else {
            redirect("admin/");
        }
    }
    
    public function onlineAdmissionPortal() {
        if ($this->sessionvalidator->isLoggedIn() && $this->sessionvalidator->isAccessGranted()) {
            $this->load->view('admin/onlineAdmissionDashboard');
        } else {
            redirect("admin/");
        }
    }
    
    public function onlineRecruitmentPortal() {
        if ($this->sessionvalidator->isLoggedIn() && $this->sessionvalidator->isAccessGranted()) {
            $this->load->view('admin/onlineRecruitmentDashboard');
        } else {
            redirect("admin/");
        }
    }
    
    public function onlineAlumniPortal() {
        if ($this->sessionvalidator->isLoggedIn() && $this->sessionvalidator->isAccessGranted()) {
            $this->load->view('admin/onlineAlumniPortalDashboard');
        } else {
            redirect("admin/");
        }
    }
    
    public function onlineEPay() {
        if ($this->sessionvalidator->isLoggedIn() && $this->sessionvalidator->isAccessGranted()) {
            $this->load->view('admin/onlineEPay');
        } else {
            redirect("admin/");
        }
    }
}
