<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>View All Optional Receipts Of Collected Fee | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item" aria-current="page"><a href="<?php echo site_url("admin/Fee/"); ?>">Fee Management</a></li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Fee/receiptManagement"); ?>"> Optional Fee Receipt Management</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-file-text"></i> Optional Fee Receipt Management</h3><br>
                            <div class="table-responsive">
                                <?php echo form_open(site_url('admin/Fee/optionalFeeReceiptManagement'), ['name' => 'feeReceiptListingFitlerFrm', 'id' => 'feeReceiptListingFitlerFrm']); ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('successMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger alert-dismissible fade show"> 
                                        <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> 
                                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                <?php } ?>
                                <fieldset>
                                    <legend>Search Receipt <i class="fa fa-search"></i></legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <label class="input__label"><b>Search Pattern:</b></label>
                                            <input type="radio" class="" id="FNW" name="filterPattern" value="FNW" <?php echo set_radio("filterPattern", "FNW"); ?>>&nbsp;<label for="FNW">Form No./Roll No./Enrl. No. Wise</label>&nbsp;&nbsp;
                                            <input type="radio" class="" id="RNW" name="filterPattern" value="RNW" <?php echo set_radio("filterPattern", "RNW"); ?>>&nbsp;<label for="RNW">Receipt No. Wise</label>&nbsp;&nbsp;
                                            <input type="radio" class="" id="CSW" name="filterPattern" value="CSW" <?php echo set_radio("filterPattern", "CSW"); ?>>&nbsp;<label for="CSW">Course/Session Wise (Many Records)</label>
                                        </div>
                                    </div>
                                    <div class="form-row">
                                        <div class="form-group col-md-2" style="display: none;">
                                            <label for="stuBranch" class="input__label">Branch *</label>
                                            <select id="stuBranch" name="stuBranch" class="custom-select">
                                                <option value="">Select Branch</option>
                                                <?php
                                                $selected = (sizeof($branches) > 2) ? "" : "selected";
                                                foreach ($branches as $branch) {
                                                    if ($branch->branch_id == 0 || $branch->branch_id == '0') {
                                                        continue;
                                                    }
                                                    ?>
                                                    <option value="<?php echo $branch->branch_id; ?>" <?php echo set_select("stuBranch", $branch->branch_id); ?> <?php echo $selected; ?>><?php echo stripslashes($branch->branch_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuFormEnrlRoll" class="input__label">Form/Roll No/Clg. ID</label>
                                            <input type="text" class="form-control" id="stuFormEnrlRoll" name="stuFormEnrlRoll" value="<?php echo set_value('stuFormEnrlRoll'); ?>" placeholder="Enter Form/Roll No/Enrl. No.." autocomplete="off" maxlength="15" readonly="true">
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="receiptNo" class="input__label">Receipt No.</label>
                                            <input type="text" class="form-control" id="receiptNo" name="receiptNo" value="<?php echo set_value('receiptNo'); ?>" placeholder="Enter Receipt No." autocomplete="off" maxlength="80" readonly="true">
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuCourse" class="input__label">Course</label>
                                            <select id="stuCourse" name="stuCourse" class="custom-select readonly">
                                                <option value="" <?php echo set_select("stuCourse", "") ?>>Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("stuCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                <?php }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuSession" class="input__label">Session</label>
                                            <select id="stuSession" name="stuSession" class="custom-select readonly">
                                                <option value="">Select Session</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-2">
                                            <label for="stuEntryType" class="input__label">Entry Type</label>
                                            <select id="stuEntryType" name="stuEntryType" class="custom-select readonly">
                                                <option value="">Select Entry Type</option>
                                            </select>
                                        </div>
                                        <div class="col-md-2">
                                            <label for="filterSubmitBtn" class="input__label"></label>
                                            <button id="filterSubmitBtn" name="filterSubmitBtn" type="submit" class="btn btn-lg btn-warning btn-block">Get Receipt(s)&nbsp;<i class="fa fa-search-plus"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                    </div>
                                    <hr>
                                </fieldset>
                                <table id="allReceipts" class="table table-default" style="width:100%">
                                    <thead>
                                        <tr>
                                            <th>Select All</th>
                                            <th>Sr. No.</th>
                                            <th>Receipt No.</th>
                                            <th>Date</th>
                                            <th>Amount</th>
                                            <th>Student Name</th>
                                            <th>Course</th>
                                            <th>For Session</th>
                                            <th>Entry Type</th>
                                            <th>Receipt Cancelled?</th>
                                        </tr>
                                    </thead>
                                    <?php
                                    if (sizeof($filteredRecords)) {
                                        ?>
                                        <tfoot>
                                            <tr>
                                                <th colspan="10">
                                                    <div class="form-row">
                                                        <div class="form-group-sm col-sm-12">
                                                            <textarea maxlength="500" class="form-control input-element" id="cancelReason" name="cancelReason" rows="3" cols="160" placeholder="Enter Reason To Cancel." style="margin-top: 27px;"></textarea>
                                                        </div>
                                                    </div>
                                                    <div class="form-row col-sm-12">
                                                        <button class="btn btn-danger btn-block" id="cancelBtn" name="cancelBtn" type="submit" style="margin-top: 27px;">CANCEL</button>
                                                        <span id="spnErrRoom" class ="mt-2" style="color:#FF0000;font-size:15px;font-weight: bolder;"></span>
                                                    </div>

                                                </th>
                                            </tr>
                                        </tfoot>
                                        <?php
                                    }
                                    ?>

                                    <tbody>
                                        <?php
                                        $thisReceiptNo = "";
                                        $tempVar = 1;
                                        for ($i = 0; $i < sizeof($filteredRecords); $i++) {
                                            $record = $filteredRecords[$i];
                                            $tempReceiptNo = "";
                                            if ($thisReceiptNo != stripslashes($record->from_receipt_no)) {
                                                $thisReceiptNo = stripslashes($record->from_receipt_no);
                                                $tempReceiptNo = stripslashes($record->from_receipt_no);
                                                $tempVar++;
                                            } else {
                                                $tempReceiptNo = "";
                                            }
                                            /* Skipping Deleted Students Receipts */
                                            if ($record->tspi_delete_status == 'T') {
                                                continue;
                                            }
                                            /* Skipping Deleted Students Receipts */
                                            ?>
                                            <tr <?php if ($record->from_status == "C") { ?> style="background-color:#ffcedc;" <?php } ?>>
                                                <td><input <?php
                                                    if ($record->from_status == "C") {
                                                        echo "disabled='disbaled'";
                                                    }
                                                    ?> type="checkbox" onclick="checckAllReceiptOfSameStudent(this)" class="class<?php echo $record->tspi_id; ?>" id="chk<?php echo $record->from_id; ?>" name="chk[]" value="<?php echo $record->from_id; ?>"></td>
                                                <td><?php echo ($i + 1); ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Fee/showHostelFeeReceipt/" . $record->from_id) . "' target='_blank'>" . $tempReceiptNo . "</a>"; ?></td>
                                                <td><?php echo date("d-m-Y", strtotime($record->from_receipt_date)); ?></td>
                                                <td><?php echo "<i class='fa fa-inr'></i> " . $record->fcom_amount . "/-"; ?></td>
                                                <td><?php echo "<a href='" . site_url("admin/Student/viewStudent/" . $record->tspi_id) . "' target='_blank'>" . stripslashes($record->tspi_name) . "</a>"; ?></td>
                                                <td><?php echo stripslashes($record->course_name); ?></td>
                                                <td><?php echo stripslashes($record->session_name); ?></td>
                                                <td><?php echo stripslashes($record->tcsm_course_type); ?></td>
    <!--                                                <td>
                                                    <i class="fa fa-info-circle" style="color:#002166;cursor: pointer;" title="More Info About This Student" onClick="getReceiptInfo(<?php echo $record->from_id; ?>);"></i> 
                                                </td>-->
                                                <td><?php echo ($record->from_status == "C") ? "Yes" : "No"; ?></td>
                                            </tr>
                                <?php } ?>
                                    </tbody>
                                </table>
<?php echo form_close(); ?>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#stuCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            feeReceiptListingFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuSession").html("<option>Select Session</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#stuSession").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranch/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: $(this).val(), csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            feeReceiptListingFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                } else {
                    $("#stuEntryType").html("<option>Select Entry Type</option>");
                    $(".se-pre-con").fadeOut("slow");
                }
            });

            $("#FNW").on("click", function () {
                $("#receiptNo").val("");
                $("#stuCourse").val("");
                $("#stuSession").val("");
                $("#stuEntryType").val("");
                $("#stuFormEnrlRoll").prop("readonly", false);
                $("#receiptNo").prop("readonly", true);
                document.getElementById("stuCourse").classList.add("readonly");
                document.getElementById("stuSession").classList.add("readonly");
                document.getElementById("stuEntryType").classList.add("readonly");
            });

            $("#RNW").on("click", function () {
                $("#stuFormEnrlRoll").val("");
                $("#stuCourse").val("");
                $("#stuSession").val("");
                $("#stuEntryType").val("");
                $("#stuFormEnrlRoll").prop("readonly", true);
                $("#receiptNo").prop("readonly", false);
                document.getElementById("stuCourse").classList.add("readonly");
                document.getElementById("stuSession").classList.add("readonly");
                document.getElementById("stuEntryType").classList.add("readonly");
            });

            $("#CSW").on("click", function () {
                $("#stuFormEnrlRoll").val("");
                $("#receiptNo").val("");
                $("#stuFormEnrlRoll").prop("readonly", true);
                $("#receiptNo").prop("readonly", true);
                document.getElementById("stuCourse").classList.remove("readonly");
                document.getElementById("stuSession").classList.remove("readonly");
                document.getElementById("stuEntryType").classList.remove("readonly");
            });

            $(document).ready(function () {
                var selectedPattern = '<?php echo $selectedPattern; ?>';
                var selectedSession = '<?php echo $selectedSession; ?>';
                var selectedUCSMapId = '<?php echo $selectedEntryType; ?>';
                if (selectedPattern !== "") {
                    $("#" + selectedPattern).trigger("click");
                }
                if ($("#stuCourse").val() !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Sessions/getSessionByCourseAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuSession").html(sessionInfo.session_List);
                            csrfHash = sessionInfo.csrfHash;
                            feeReceiptListingFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }

                if (selectedSession !== "") {
                    $(".se-pre-con").fadeIn("slow");
                    if (csrfHash === '') {
                        csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                    }
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getEntryTypesOfGivenCourseSessionAndBranchSelected/') ?>',
                        data: {branch_id: $("#stuBranch").val(), course_id: $("#stuCourse").val(), session_id: selectedSession, ucs_map_id: selectedUCSMapId, csrf_token: csrfHash},
                        type: 'POST',
                        async: false,
                        success: function (result) {
                            var sessionInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#stuEntryType").html(sessionInfo.entry_types);
                            csrfHash = sessionInfo.csrfHash;
                            feeReceiptListingFitlerFrm.csrf_token.value = csrfHash;
                        }
                    });
                }
                $("#allReceipts").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            function getReceiptInfo(frm_id) {
                event.preventDefault();
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $.ajax({
                    url: '<?php echo site_url('admin/Fee/getReceiptFullInfo/'); ?>',
                    data: {frm_id: frm_id, csrf_token: csrfHash},
                    type: 'POST',
                    success: function (result) {
                        $(".se-pre-con").fadeOut("slow");
                        var thisReceiptInfo = JSON.parse(result);
                        csrfHash = thisReceiptInfo.csrfHash;
                        feeReceiptListingFitlerFrm.csrf_token.value = csrfHash;
                        $("#stuFormNo").html(thisReceiptInfo.stu_form_no);
                        $("#stuEnrllNo").html(thisReceiptInfo.stu_enrollment_no);
                        $("#stuRollNo").html(thisReceiptInfo.stu_roll_no);
                        $("#stuName").html(thisReceiptInfo.stu_name);
                        $("#stucourse").html(thisReceiptInfo.stu_course + "(" + thisReceiptInfo.stu_entry_type + ")");
                        $("#stuBatch").html(thisReceiptInfo.stu_batch);
                        $("#stuGender").html(thisReceiptInfo.stu_gender);
                        $("#stuDOB").html(thisReceiptInfo.stu_dob);
                        $("#stuMobile").html(thisReceiptInfo.stu_mobile);
                        $("#counsFeePaid").html(thisReceiptInfo.frm_counselling_fee_amt);
                        $("#counsFeeMode").html(thisReceiptInfo.frm_counselling_fee_mode);
                        $("#counsFeeDate").html(thisReceiptInfo.frm_counselling_fee_date);
                        $("#counsDDCHQNEFTTxnId").html(thisReceiptInfo.frm_counselling_fee_ref_no);
                        $("#rcptFile").prop("href", '<?php echo site_url('admin/Fee/showReceipt/'); ?>' + thisReceiptInfo.frm_id);
                        $("#rcptNo").html(thisReceiptInfo.frm_receipt_no);
                        $("#rcptDate").html(thisReceiptInfo.frm_receipt_date);
                        $("#rcptAmt").html(thisReceiptInfo.frm_total_amount);
                        $("#rcptStatus").html(thisReceiptInfo.frm_status);
                        $("#rcptPaidFor").html(thisReceiptInfo.frm_paid_for);
                        $("#rcptSession").html(thisReceiptInfo.frm_session);
                        $("#rcptMode").html(thisReceiptInfo.frm_mode);
                        $("#rcptDDCHQNEFTTxnId").html(thisReceiptInfo.frm_chqDDNEFTRefNo);
                        $("#rcptDDCHQNEFTTxnDate").html(thisReceiptInfo.frm_chqDDNEFTDate);
                        $("#rcptCollectedBy").html(thisReceiptInfo.frm_generated_by);
                        $("#rcptCancelledBy").html(thisReceiptInfo.frm_cancelled_by);
                        var feeDetails = "";
                        for (var i = 0; i < thisReceiptInfo.frm_fee_details.length; i++) {
                            feeDetails += "<tr>";
                            feeDetails += "<td>" + (i + 1) + "</td>";
                            feeDetails += "<td>" + thisReceiptInfo.frm_fee_details[i].fhm_name + "</td>";
                            feeDetails += "<td>" + thisReceiptInfo.frm_fee_details[i].fcm_sem_year + "</td>";
                            feeDetails += "<td>" + thisReceiptInfo.frm_fee_details[i].fcm_for_session + "</td>";
                            feeDetails += "<td>" + thisReceiptInfo.frm_fee_details[i].fcm_amount + "</td>";
                            feeDetails += "</tr>";
                        }
                        $("#feeDetails").html(feeDetails);
                        $("#feeReceiptDetailsModal").modal('show');
                    }
                });
            }
        </script>
<?php $this->load->view("admin/footer"); ?>
        <!-- Fee Receipt Details Modal Starts -->
        <div class="modal fade" id="feeReceiptDetailsModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Receipt Info</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <fieldset>
                            <div class="row">
                                <div class="col-sm-2"><b>Receipt No.</b></div>
                                <div class="col-sm-2"><span id="rcptNo"></span>&nbsp;<a id="rcptFile" target="_blank"><i class="fa fa-external-link"></i></a></div>
                                <div class="col-sm-2"><b>Date</b></div>
                                <div class="col-sm-2"><span id="rcptDate"></span></div>
                                <div class="col-sm-2"><b>Amount</b></div>
                                <div class="col-sm-2"><span id="rcptAmt"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Cancelled</b></div>
                                <div class="col-sm-2"><span id="rcptStatus"></span></div>
                                <div class="col-sm-2"><b>Mode</b></div>
                                <div class="col-sm-2"><span id="rcptMode"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Chq./DD/Chln/NEFT Ref.No.</b></div>
                                <div class="col-sm-6"><span id="rcptDDCHQNEFTTxnId"></span></div>
                                <div class="col-sm-2"><b>Chq./DD/Chln/NEFT Date</b></div>
                                <div class="col-sm-2"><span id="rcptDDCHQNEFTTxnDate"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12"><center><b><u>Student Details</u></b></center></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Form No.</b></div>
                                <div class="col-sm-2"><span id="stuFormNo"></span></div>
                                <div class="col-sm-2"><b>Enrl. No.</b></div>
                                <div class="col-sm-2"><span id="stuEnrllNo"></span></div>
                                <div class="col-sm-2"><b>Roll No.</b></div>
                                <div class="col-sm-2"><span id="stuRollNo"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-1"><b>Name</b></div>
                                <div class="col-sm-5"><span id="stuName"></span></div>
                                <div class="col-sm-2"><b>Course/Batch</b></div>
                                <div class="col-sm-4"><span id="stucourse"></span>/<span id="stuBatch"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Gender</b></div>
                                <div class="col-sm-2"><span id="stuGender"></span></div>
                                <div class="col-sm-2"><b>D.O.B.</b></div>
                                <div class="col-sm-2"><span id="stuDOB"></span></div>
                                <div class="col-sm-2"><b>Mobile</b></div>
                                <div class="col-sm-2"><span id="stuMobile"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12"><center><b><u>Counselling Fee/Paid To University</u></b></center></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-2"><b>Paid Amount</b></div>
                                <div class="col-sm-2"><span id="counsFeePaid"></span></div>
                                <div class="col-sm-2"><b>Payment Mode</b></div>
                                <div class="col-sm-2"><span id="counsFeeMode"></span></div>
                                <div class="col-sm-2"><b>Payment Date</b></div>
                                <div class="col-sm-2"><span id="counsFeeDate"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Chq./DD/Chln/NEFT Ref.No.</b></div>
                                <div class="col-sm-9"><span id="counsDDCHQNEFTTxnId"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-12"><center><b><u>Fee Details</u></b></center></div>
                            </div>
                            <div class="row">
                                <table class="table table-striped table-primary">
                                    <thead>
                                        <tr>
                                            <th>Sr. No.</th>
                                            <th>Fee Head</th>
                                            <th>For Semester/Year</th>
                                            <th>For Session</th>
                                            <th>Paid Amount</th>
                                        </tr>
                                    </thead>
                                    <tbody id="feeDetails"></tbody>
                                </table>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Collected By</b></div>
                                <div class="col-sm-9"><span id="rcptCollectedBy"></span></div>
                            </div>
                            <div class="row">
                                <div class="col-sm-3"><b>Cancelled By</b></div>
                                <div class="col-sm-9"><span id="rcptCancelledBy"></span></div>
                            </div>
                        </fieldset>
                    </div>
                    <div class="modal-footer">
                        <input type="hidden" id="stu_id">
                        <button class="btn btn-danger" data-dismiss="modal">Close</button>
                    </div>
                </div>
            </div>
        </div>
        <!-- Fee Receipt Details Modal Ends -->
        <script>
            function checckAllReceiptOfSameStudent(temp) {
                if ($('input:checkbox:checked').length > 1) {
                    $('input:checkbox').removeAttr('checked');
                    $("." + temp.className).prop("checked", true);
                } else {
                    if ($("#" + temp.id).prop("checked") === true) {
                        $("." + temp.className).prop("checked", true);
                    } else {
                        $("." + temp.className).removeAttr('checked');
                    }
                }
            }

            $("#cancelBtn").on("click", function () {
                var numberOfChecked = $('input:checkbox:checked').length;
                if (numberOfChecked === 0) {
                    $("#spnErrRoom").html("Please Choose Atleast One Reeceipt To Cancel.");
                    event.preventDefault();
                } else if ($("#cancelReason").val().trim() === "") {
                    $("#spnErrRoom").html("Please Enter Reason To Cancel.");
                    $("#cancelReason").focus();
                    event.preventDefault();
                } else {
                    $("#spnErrRoom").html("");
                    $("#feeReceiptListingFitlerFrm").submit();
                }
            });
        </script>
    </body>
</html>