<?php

/**
 * Controller For Dashboard Page
 *
 * @author Softpro India Pvt. Ltd.
 */
defined('BASEPATH') OR exit('No direct script access allowed');

class Dashboard extends CI_Controller {

    public function __construct() {
        parent::__construct();
        $this->load->helper('url');
        $this->load->library('session');
        $this->load->helper('form');
        $this->load->library('form_validation');
        $this->load->model('admin/UserManagement');
        $this->load->model('admin/InstituteManagement');
        $this->load->model('admin/GrievanceCategoriesManagement');
        $this->load->model('admin/GrievanceManagement');
    }

    public function index() {
        if ($this->session->userdata('logged_in')) {
            $viewData['totUsers'] = $this->UserManagement->getTotalUsers()->result()[0]->totalUsers;
            $viewData['totInstitutes'] = $this->InstituteManagement->getTotalInstitutes()->result()[0]->totalInstitutes;
            $viewData['totDefGCategories'] = $this->GrievanceCategoriesManagement->getTotalDefGCategories()->result()[0]->totalDefGCatgs;
            $viewData['totGrievances'] = $this->GrievanceManagement->getTotalPostedGrievances()->result()[0]->totalPostedGrievances;
            $this->load->view('admin/dashboard',$viewData);
        } else {
            redirect("admin/");
        }
    }
}
