<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Grievance Redressal Portal: Dashboard</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/css/style.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <!-- main content start -->
            <div class="main-content">
                <!-- content -->
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                        </ol>
                    </nav>
                    <div class="welcome-msg pt-3 pb-4">
                        <h1>Hi <span class="text-primary"><?php echo $this->session->userdata('name'); ?></span>, Welcome back</h1>
                        <p>Grievance Redressal Portal System Administrator.</p>
                    </div>
                    <!-- statistics data -->
                    <div class="statistics">
                        <div class="row">
                            <div class="col-xl-6 pr-xl-2">
                                <div class="row">
                                    <div class="col-sm-6 pr-sm-2 statistics-grid">
                                        <div class="card card_border border-primary-top p-4">
                                            <i class="fa fa-users text-primary"> </i>
                                            <h3 class="text-primary number"><?php echo $totUsers; ?></h3>
                                            <p class="stat-text">Total Users</p>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 pl-sm-2 statistics-grid">
                                        <div class="card card_border border-primary-top p-4">
                                            <i class="fa fa-university text-secondary"> </i>
                                            <h3 class="text-secondary number"><?php echo $totInstitutes; ?></h3>
                                            <p class="stat-text">Institutes (Clients)</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="col-xl-6 pl-xl-2">
                                <div class="row">
                                    <div class="col-sm-6 pr-sm-2 statistics-grid">
                                        <div class="card card_border border-primary-top p-4">
                                            <i class="fa fa-forward text-success"> </i>
                                            <h3 class="text-success number"><?php echo $totGrievances; ?></h3>
                                            <p class="stat-text">Grievance Posted</p>
                                        </div>
                                    </div>
                                    <div class="col-sm-6 pl-sm-2 statistics-grid">
                                        <div class="card card_border border-primary-top p-4">
                                            <i class="fa fa-archive text-danger"> </i>
                                            <h3 class="text-danger number"><?php echo $totDefGCategories; ?></h3>
                                            <p class="stat-text">Default Grvnc-Catgs.</p>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- //statistics data -->
                </div>
                <!-- //content -->
            </div>
            <!-- main content end-->
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>
