<?php
/*
 * Navigation Menus And Header
 */
?>
<!-- sidebar menu start -->
<div class="sidebar-menu sticky-sidebar-menu">
    <!-- logo start -->
    <div class="logo">
        <h1><a href="<?php echo site_url("admin/"); ?>">GRP</a></h1>
    </div>
    <!-- if logo is image enable this -->
    <!-- image logo --
    <div class="logo">
      <a href="index.html">
        <img src="image-path" alt="Your logo" title="Your logo" class="img-fluid" style="height:35px;" />
      </a>
    </div>
    <!-- //image logo -->
    <div class="logo-icon text-center">
        <a href="<?php echo site_url("admin/"); ?>" title="logo"><img src="<?php echo base_url("assets/images/logo.png"); ?>" alt="logo-icon"> </a>
    </div>
    <!-- //logo end -->
    <div class="sidebar-menu-inner">
        <!-- sidebar nav start -->
        <?php if ($this->session->userdata('role') == "M") { ?>
            <ul class="nav nav-pills nav-stacked custom-nav">
                <li id="dashboard" class="active"><a href="<?php echo site_url("admin/"); ?>"><i class="fa fa-tachometer"></i><span> Dashboard</span></a>
                </li>
                <li id="institute" class="menu-list">
                    <a href="#">
                        <i class="fa fa-university"></i>
                        <span>Institutes <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('/admin/Institute/createNewInstitute'); ?>">Create New Institute</a> </li>
                        <li><a href="<?php echo site_url('/admin/Institute/'); ?>">Institute Report</a> </li>
                        <li><a href="<?php echo site_url('/admin/Institute/createInstituteAdmin'); ?>">Add Institute Admin</a></li>
                        <li><a href="<?php echo site_url('/admin/Institute/instituteAdmins'); ?>">Institute Admin Report</a></li>
                    </ul>
                </li>
                <li id="location" class="menu-list">
                    <a href="#">
                        <i class="fa fa-map-marker"></i>
                        <span>Locations <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('/admin/Locations/states') ?>">States</a></li>
                        <li><a href="<?php echo site_url('/admin/Locations/cities') ?>">Cities</a></li>
                    </ul>
                </li>
                <li id="sysAdmnMgmnt" class="menu-list">
                    <a href="#">
                        <i class="fa fa-user-plus"></i>
                        <span>Sys. Admin Mgmnt.<i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url("admin/SystemAdmin/addNewSysAdmin"); ?>">Add New Admin</a></li>
                        <li><a href="<?php echo site_url("admin/SystemAdmin"); ?>">Sys. Admin Report</a></li>
                    </ul>
                </li>
                <li id="defaultStuffs" class="menu-list">
                    <a href="#">
                        <i class="fa fa-archive"></i>
                        <span>Default Stuffs <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('/admin/DefaultStuffs/createDefaultGCategory');?>">Create Grvnc. Catgs.</a></li>
                        <li><a href="<?php echo site_url('/admin/DefaultStuffs/defaultGrvncCatgs') ?>">Default Grvnc. Catgs.</a></li>
                    </ul>
                </li>
                <li id="miscReport" class="menu-list">
                    <a href="#">
                        <i class="fa fa-table"></i>
                        <span>Misc. Reports <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('/admin/MiscellaneousReports/courses');?>">Courses</a></li>
                        <li><a href="<?php echo site_url('/admin/MiscellaneousReports/users') ?>">Users</a></li>
                        <li><a href="<?php echo site_url('/admin/MiscellaneousReports/grievanceCategories');?>">Grievance Categories</a></li>
                        <li><a href="<?php echo site_url('/admin/MiscellaneousReports/gCellMembers');?>">G-Cell/Mgmt. Members</a></li>
                        <li><a href="<?php echo site_url('/admin/MiscellaneousReports/grievances');?>">All Grievances</a></li>
                    </ul>
                </li>
                <li id="changePassword"><a href="<?php echo site_url('/admin/ChangePassword/') ?>"><i class="fa fa-key"></i> <span>Change Password</span></a></li>
                <li><a href="<?php echo site_url('/admin/Authentication/authLogout') ?>"><i class="fa fa-power-off"></i> <span>Logout</span></a></li>
            </ul>
        <?php } else { ?>
            <ul class="nav nav-pills nav-stacked custom-nav">
                <li id="dashboard" class="active"><a href="<?php echo site_url("admin/"); ?>"><i class="fa fa-tachometer"></i><span> Dashboard</span></a>
                </li>
                <li id="institute" class="menu-list">
                    <a href="#">
                        <i class="fa fa-university"></i>
                        <span>Institutes <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li style="display:none;"><a href="<?php echo site_url('/admin/Institute/createNewInstitute'); ?>">Create New Institute</a> </li>
                        <li><a href="<?php echo site_url('/admin/Institute/'); ?>">Institute Report</a> </li>
                        <li style="display:none;"><a href="#">Add Institute Admin</a></li>
                        <li><a href="<?php echo site_url('/admin/Institute/instituteAdmins'); ?>">Institute Admin Report</a></li>
                    </ul>
                </li>
                <li id="location" class="menu-list">
                    <a href="#">
                        <i class="fa fa-map-marker"></i>
                        <span>Locations <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('/admin/Locations/states') ?>">States</a></li>
                        <li><a href="<?php echo site_url('/admin/Locations/cities') ?>">Cities</a></li>
                    </ul>
                </li>
                <li id="sysAdmnMgmnt" class="menu-list" style="display:none;">
                    <a href="#">
                        <i class="fa fa-user-plus"></i>
                        <span>Sys. Admin Mgmnt.<i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url("admin/SystemAdmin/addNewSysAdmin"); ?>">Add New Admin</a></li>
                        <li><a href="<?php echo site_url("admin/SystemAdmin"); ?>">Sys. Admin Report</a></li>
                    </ul>
                </li>
                <li id="defaultStuffs" class="menu-list">
                    <a href="#">
                        <i class="fa fa-archive"></i>
                        <span>Default Stuffs <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li style="display:none;"><a href="#">Create Grvnc. Catgs.</a></li>
                        <li><a href="<?php echo site_url('/admin/DefaultStuffs/defaultGrvncCatgs') ?>">Default Grvnc. Catgs.</a></li>
                    </ul>
                </li>
                <li id="miscReport" class="menu-list">
                    <a href="#">
                        <i class="fa fa-table"></i>
                        <span>Misc. Reports <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('/admin/MiscellaneousReports/courses');?>">Courses</a></li>
                        <li><a href="<?php echo site_url('/admin/MiscellaneousReports/users');?>">Users</a></li>
                        <li><a href="<?php echo site_url('/admin/MiscellaneousReports/grievanceCategories');?>">Grievance Categories</a></li>
                        <li><a href="<?php echo site_url('/admin/MiscellaneousReports/gCellMembers');?>">G-Cell Members</a></li>
                        <li><a href="#">All Grievances</a></li>
                    </ul>
                </li>
                <li id="changePassword"><a href="<?php echo site_url('/admin/ChangePassword/') ?>"><i class="fa fa-key"></i> <span>Change Password</span></a></li>
                <li><a href="<?php echo site_url('/admin/Authentication/authLogout') ?>"><i class="fa fa-power-off"></i> <span>Logout</span></a></li>
            </ul>
        <?php } ?>
        <!-- //sidebar nav end -->
        <!-- toggle button start -->
        <a class="toggle-btn">
            <i class="fa fa-angle-double-left menu-collapsed__left"><span>Collapse Sidebar</span></i>
            <i class="fa fa-angle-double-right menu-collapsed__right"></i>
        </a>
        <!-- //toggle button end -->
    </div>
</div>
<!-- //sidebar menu end -->
<!-- header-starts -->
<div class="header sticky-header">
    <!-- notification menu start -->
    <div class="menu-right">
        <div class="navbar user-panel-top">
            <!--            <div class="search-box">
                            <form action="#search-results.html" method="get">
                                <input class="search-input" placeholder="Search Here..." type="search" id="search">
                                <button class="search-submit" value=""><span class="fa fa-search"></span></button>
                            </form>
                        </div>-->
            <div class="user-dropdown-details d-flex">
                <div class="profile_details_left">
                    <ul class="nofitications-dropdown">
                        <!--                        <li class="dropdown">
                                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i
                                                            class="fa fa-bell-o"></i><span class="badge blue">3</span></a>
                                                    <ul class="dropdown-menu">
                                                        <li>
                                                            <div class="notification_header">
                                                                <h3>You have 3 new notifications</h3>
                                                            </div>
                                                        </li>
                                                        <li><a href="#" class="grid">
                                                                <div class="user_img"><img src="assets/images/avatar1.jpg" alt=""></div>
                                                                <div class="notification_desc">
                                                                    <p>Johnson purchased template</p>
                                                                    <span>Just Now</span>
                                                                </div>
                                                            </a></li>
                                                        <li class="odd"><a href="#" class="grid">
                                                                <div class="user_img"><img src="assets/images/avatar2.jpg" alt=""></div>
                                                                <div class="notification_desc">
                                                                    <p>New customer registered </p>
                                                                    <span>1 hour ago</span>
                                                                </div>
                                                            </a></li>
                                                        <li><a href="#" class="grid">
                                                                <div class="user_img"><img src="assets/images/avatar3.jpg" alt=""></div>
                                                                <div class="notification_desc">
                                                                    <p>Lorem ipsum dolor sit amet </p>
                                                                    <span>2 hours ago</span>
                                                                </div>
                                                            </a></li>
                                                        <li>
                                                            <div class="notification_bottom">
                                                                <a href="#all" class="bg-primary">See all notifications</a>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </li>-->
                        <!--                        <li class="dropdown">
                                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" aria-expanded="false">
                                                        <i class="fa fa-comment-o"></i><span class="badge blue">4</span>
                                                    </a>
                                                    <ul class="dropdown-menu">
                                                        <li>
                                                            <div class="notification_header">
                                                                <h3>You have 4 new messages</h3>
                                                            </div>
                                                        </li>
                                                        <li>
                                                            <a href="#" class="grid">
                                                                <div class="user_img"><img src="assets/images/avatar1.jpg" alt=""></div>
                                                                <div class="notification_desc">
                                                                    <p>Johnson purchased template</p>
                                                                    <span>Just Now</span>
                                                                </div>
                                                            </a>
                                                        </li>
                                                        <li class="odd">
                                                            <a href="#" class="grid">
                                                                <div class="user_img"><img src="assets/images/avatar2.jpg" alt=""></div>
                                                                <div class="notification_desc">
                                                                    <p>New customer registered </p>
                                                                    <span>1 hour ago</span>
                                                                </div>
                                                            </a></li>
                                                        <li><a href="#" class="grid">
                                                                <div class="user_img"><img src="assets/images/avatar3.jpg" alt=""></div>
                                                                <div class="notification_desc">
                                                                    <p>Lorem ipsum dolor sit amet </p>
                                                                    <span>2 hours ago</span>
                                                                </div>
                                                            </a></li>
                                                        <li><a href="#" class="grid">
                                                                <div class="user_img"><img src="assets/images/avatar1.jpg" alt=""></div>
                                                                <div class="notification_desc">
                                                                    <p>Johnson purchased template</p>
                                                                    <span>Just Now</span>
                                                                </div>
                                                            </a>
                                                        </li>
                                                        <li>
                                                            <div class="notification_bottom">
                                                                <a href="#all" class="bg-primary">See all messages</a>
                                                            </div>
                                                        </li>
                                                    </ul>
                                                </li>-->
                    </ul>
                </div>
                <?php
                $adminType = '';
                if ($this->session->userdata('type') == 'D') {
                    $adminType = "Developer";
                } else {
                    $adminType = "Administrator";
                }
                ?>
                <div class="profile_details">
                    <ul>
                        <li class="dropdown profile_details_drop">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" id="dropdownMenu3" aria-haspopup="true"
                               aria-expanded="false">
                                <div class="profile_img">
                                    <img src="<?php echo base_url($this->session->userdata('image')); ?>" class="rounded-circle" alt="">
                                    <div class="user-active">
                                        <span></span>
                                    </div>
                                </div>
                            </a>
                            <ul class="dropdown-menu drp-mnu" aria-labelledby="dropdownMenu3">
                                <li class="user-info">
                                    <h5 class="user-name"><?php echo $this->session->userdata('name'); ?></h5>
                                    <span class="status ml-2"><?php echo $adminType; ?></span>
                                </li>
                                <li> <a href="#"><i class="lnr lnr-user"></i>My Profile</a> </li>
                                <li> <a href="<?php echo site_url('/admin/ChangePassword/') ?>"><i class="fa fa-key"></i>Change Password</a> </li>
                                <li class="logout"> <a href="<?php echo site_url('/admin/Authentication/authLogout') ?>"><i class="fa fa-power-off"></i> Logout</a> </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!--notification menu end -->
</div>
<!-- //header-ends -->