<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of BasicDetails
 *
 * @author Softpro India Pvt. Ltd
 */
class BasicDetails extends CI_Controller {

    //put your code here
    public function __construct() {
        parent::__construct();
        $this->load->model("admin/DepartmentManagement");
        $this->load->model("admin/DesignationManagement");
    }

    public function getDepartment() {
        $cm_id = $_POST['cm_id'];
        $departments = $this->DepartmentManagement->getDepartmentByCategory($cm_id)->result();
        $options = "<option value=''>-Department-</option>";
        for ($i = 0; $i < (sizeof($departments)); $i++) {
            $options .= "<option value=" . $departments[$i]->dm_id . ">" . $departments[$i]->dm_name . "</option>";
        }
        $responseData = array(
            'csrfName' => $this->security->get_csrf_token_name(),
            'csrfHash' => $this->security->get_csrf_hash(),
            'departments' => $options
        );
        echo json_encode($responseData);
    }

    public function getDesignationByCategory() {
        $dm_id = $_POST['cm_id'];
        $designations = $this->DesignationManagement->getDesignationByCategory($dm_id)->result();
        $options = "<option value=''>-Designation-</option>";
        for ($i = 0; $i < (sizeof($designations)); $i++) {
            $options .= "<option value=" . $designations[$i]->desig_id . ">" . $designations[$i]->desig_name . "</option>";
        }
        $responseData = array(
            'csrfName' => $this->security->get_csrf_token_name(),
            'csrfHash' => $this->security->get_csrf_hash(),
            'designations' => $options
        );
        echo json_encode($responseData);
    }

    public function getDesignationByDepartment() {
        $dm_id = $_POST['dm_id'];
        $designations = $this->DesignationManagement->getDesignationByDepartment($dm_id)->result();
        $options = "<option value=''>-Designation-</option>";
        for ($i = 0; $i < (sizeof($designations)); $i++) {
            $options .= "<option value=" . $designations[$i]->desig_id . ">" . $designations[$i]->desig_name . "</option>";
        }
        $responseData = array(
            'csrfName' => $this->security->get_csrf_token_name(),
            'csrfHash' => $this->security->get_csrf_hash(),
            'designations' => $options
        );
        echo json_encode($responseData);
    }

}
