<?php

/**
 * Description of IDProofManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class IDProofManagement extends CI_Model
{
    function getIDProofAndSubIdProofInfoBy($idProofCode, $idProofFor)
    {
        $this->db->select("*");
        $this->db->from('tbl_id_proof_master TIPM');
        $this->db->join('tbl_id_proof_sub_master TIPSM', 'TIPSM.tipm_id = TIPM.tipm_id');
        $this->db->where("TIPM.tipm_code", $idProofCode);
        $this->db->where("TIPSM.tipsm_for = '" . $idProofFor . "'");
        return $this->db->get();
    }

    function createNewIDProofInfoMulti(array $newIdProofInfoBatch)
    {
        $this->db->insert_batch('tbl_id_proof_info', $newIdProofInfoBatch);
        return $this->db->insert_id();
    }

    function getIdProofInfoBy($tipi_for, $sub_id_proof_id) {
        $this->db->select("*");
        $this->db->from('tbl_id_proof_info TIPI');
        $this->db->where("TIPI.tipsm_id", $sub_id_proof_id);
        $this->db->where("TIPI.tipi_for", $tipi_for);
        return $this->db->get();
    }
}
