<!--<?php //$adminDetails=$this->session->userdata("admin_data");
?>-->
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Admission Form Fee :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Admission Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/images/logo.png"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Enquiry"); ?>">Admission Enquiry Report</a></li>
                    </ol>
                </nav>
                <section class="data-tables">
                    <div class="card card_border p-4">
                        <h3 class="card__title"><i class="fa fa-table"></i> &nbsp;&nbsp;Admission Enquiry Report</h3><br>
                        <div class="table-responsive">
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                            <?php } ?>

                            <fieldset>
                                <legend>Filters <i class="fa fa-filter"></i></legend>
                                <?php echo form_open(site_url('admin/Enquiry')); ?>
                                <div class="form-row">
                                    <div class="form-group col-md-4">
                                        <label class="input__label" for="course">Course</label>
                                        <select name="course" id="course" class="custom-select">
                                            <option <?php echo set_select("courses", ""); ?> value="">-Course-</option>

                                            <?php
                                            for ($i = 0; $i < sizeof($courses); $i++) {
                                                $ct = $courses[$i];
                                                ?>
                                                <option value="<?php echo $ct->course_id; ?>"  
                                                <?php
                                                if ($b_courses == $ct->course_id)
                                                    echo "selected";
                                                ?>>
                                                            <?php echo $ct->course_name; ?>
                                                </option>
                                                <?php
                                            }
                                            ?>

                                        </select>
                                    </div>

                                    <div class="form-group col-md-4">
                                        <label for="startDate" class="input__label">Start Date</label>
                                        <input type="text" class="form-control" id="startDate" name="startDate" value="<?php echo set_value('startDate'); ?>" placeholder="Choose Start Date" autocomplete="off" maxlength="15" readonly="readonly">
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label for="endDate" class="input__label">End Date</label>
                                        <input type="text" class="form-control" id="endDate" name="endDate" value="<?php echo set_value('endDate'); ?>" placeholder="Choose End Date" autocomplete="off" maxlength="15" readonly="readonly">
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="col-md-12">
                                        <label for="filterSubmitBtn" class="input__label"></label>
                                        <button id="filterSubmitBtn" name="filterSubmitBtn" value="filterSubmitBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Report&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                    </div>
                                </div>
                                <hr>
                            </fieldset>
                            <table id="allCourses" class="bootstrap-datatable table-striped table-hover" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Name</th>
                                        <th>Mobile</th>
                                        <th>Email</th>
                                        <th>Course</th>
                                        <th>City</th>
                                        <th>Enquiry Query</th>
                                        <th>Date&Time</th>
                                    </tr>
                                </thead>
                                <tfoot>
                                    <tr>
                                        <th>Sr. No</th>
                                        <th>Name</th>
                                        <th>Mobile</th>
                                        <th>Email</th>
                                        <th>Course</th>
                                        <th>City</th>
                                        <th>Enquiry Query</th>
                                        <th>Date&Time</th>
                                    </tr>
                                </tfoot>
                                <tbody>
                                    <?php
                                    for ($i = 0; $i < sizeof($enquiry); $i++) {
                                        $record = $enquiry[$i];
                                        ?>
                                        <tr>
                                            <td><?php echo ($i + 1); ?></td>
                                            <td><?php echo stripslashes($record->enq_name); ?></td> 
                                            <td><?php echo stripslashes($record->enq_mobile); ?></td>
                                            <td><?php echo stripslashes($record->enq_email); ?></td>
                                            <td><?php echo stripslashes($record->course_name); ?></td>
                                            <td><?php echo stripslashes($record->enq_city); ?></td>
                                            <td><?php echo stripslashes($record->enq_query); ?></td>
                                            <td><?php echo stripslashes(date("d-m-Y H:i:sa", strtotime($record->enq_added_on))); ?></td>

                                        </tr>
                                    <?php } ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </section>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
    <script>
        $(document).ready(function () {
            $("#allCourses").DataTable({responsive: true, dom: 'Blfrtip', buttons: [
                    {extend: 'copy', text: "<i class='fa fa-clipboard'></i> Copy"},
                    {extend: 'csv', text: "<i class='fa fa-table'></i> CSV"},
                    {extend: 'excel', text: "<i class='fa fa-file-excel-o'></i> Excel"},
                    {extend: 'pdfHtml5', text: "<i class='fa fa-file-pdf-o'></i> PDF", orientation: 'potrait', pageSize: 'LEGAL'}
                ]});
        });

    </script>
    <script>        $(function () {
            var dateFormat = "dd/mm/yy",
                    from = $("#startDate")
                    .datepicker({
                        dateFormat: dateFormat,
                        defaultDate: '0',
                        changeMonth: true,
                        changeYear: true,
                        numberOfMonths: 1
                    }).on("change", function () {
                to.datepicker("option", "minDate", getDate(this));
            }),
                    to = $("#endDate").datepicker({
                dateFormat: dateFormat,
                defaultDate: '0',
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1
            }).on("change", function () {
                from.datepicker("option", "maxDate", getDate(this));
            });
            function getDate(element) {
                var date;
                try {
                    date = $.datepicker.parseDate(dateFormat, element.value);
                } catch (error) {
                    date = null;
                }
                return date;
            }
        });</script>
    <script>
        $(document).ready(function () {
            document.getElementById("dashboard").classList.remove("active");
            document.getElementById("dataManagement").classList.remove("active");
            document.getElementById("reports").classList.remove("active");
            document.getElementById("payment").classList.remove("active");
            document.getElementById("upload").classList.remove("active");
            document.getElementById("reports").classList.add("active");
        });
    </script>
