<?php
/**
 * Description of User
 *
 * @author Softpro India Pvt. Ltd.
 */
class GallaryManagement extends CI_Model {

    //put your code here
    public function __construct() {
        parent::__construct();
    }

    function saveGallaryLimits($gallaryLimitDetails) {
        $this->db->where("lim_for",$gallaryLimitDetails["lim_for"]);
        return $this->db->update("tbl_gallery_limit", $gallaryLimitDetails);
    }

    function getGalleryImagesByUserID($userid) {
        $this->db->select("*");
        $this->db->from("tbl_gallery");
        $this->db->where("pic_status","t");
        $this->db->where("u_id", $userid);
        return $this->db->get();
    }

    function deleteGallaryImage($pic_id) {
        $this->db->where("pic_id", $pic_id);
        return $this->db->update("tbl_gallery", array("pic_status" => "f"));
    }

    function getGallaeryLimits() {
        $this->db->select("*");
        $this->db->from("tbl_gallery_limit");
        $this->db->order_by("lim_for", "ASC");
        return $this->db->get();
    }

}
