<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Change Password :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
                <script>
            var csrfHash = "";
        </script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb my-breadcrumb">
                        <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                        <li class="breadcrumb-item active" aria-current="page"><a href="">Change Password</a></li>
                    </ol>
                </nav>
                <div class="col-xl-12  pr-xl-2">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <!-- form -->
                            <?php echo form_open(site_url("admin/Authentication/setChangedPassword")); ?>
                            <div class="register__header text-center mb-lg-5 mb-4">
                                <h3 class="register__title mb-2">Change Password</h3>
<!--                                    <p>Create your account here, and continue </p>-->
                            </div>
                                <?php if (validation_errors() != false) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage') . " <p style='color:#FF0000'>You Will Be Logged Out Now.</p>"; ?> </strong> </div>
                                    <?php
                                    $this->output->set_header("refresh:3;url='" . site_url('/admin/Authentication/authLogout') . "'");
                                }
                                ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?>
                            <div class="form-group">
                                <label for="currentPassword" class="input__label required">Current Password</label>
                                <input type="password" value="" name="currentPassword" id="currentPassword" class="form-control login_text_field_bg input-style"
                                       aria-describedby="currentPassword" placeholder="Enter Current Password" autofocus>
                            </div>
                            <div class="form-group">
                                <label for="newPassword" class="input__label required">New Password</label>
                                <input type="password" value="" class="form-control login_text_field_bg input-style"
                                       id="newPassword" name="newPassword" placeholder="Enter New Password" >
                            </div>
                            <div class="form-group">
                                <label for="confirmNewPassword" class="input__label required">Re-Enter New Password</label>
                                <input type="password" class="form-control login_text_field_bg input-style"
                                       id="confirmNewPassword" value="" name="confirmNewPassword" aria-describedby="confirmNewPassword" placeholder="Re-Enter New Password" >
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-center">
                                <button type="submit" class="btn btn-primary btn-block btn-style mt-2">SAVE</button>
                               
                            </div>
                                <br>
                                 <span style="color:red;">(*) marked fields are mandatory.</span>
                            <?php echo form_close(); ?>
                            <!-- //form -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- //content -->
        </div>           
    </div>
    <!-- main content end-->
    <?php
    $this->load->view("admin/footer");
    ?>
