<!DOCTYPE html>
<html lang="zxx">
    <head>
        <!--meta tags -->
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title><?php if (sizeof($branch)) echo $branch[0]->branch_short_name; ?>| Alumni Portal</title>
        <script>
            addEventListener("load", function () {
                setTimeout(hideURLbar, 0);
            }, false);
            function hideURLbar() {
                window.scrollTo(0, 1);
            }
        </script>
        <link href="<?php echo base_url("assets/css/bootstrap.min.css"); ?>" rel="stylesheet" type="text/css" media="all">
        <link href="<?php echo base_url("assets/css/font-awesome.min.css"); ?>" rel="stylesheet">
        <link href="<?php echo base_url("assets/css/style.css"); ?>" rel='stylesheet' type='text/css' media="all">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Fira+Sans:400,500,600,700" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Oxygen:400,700" rel="stylesheet">        
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel="stylesheet">
        <script src="<?php echo base_url("assets/js/jquery-1.10.2.min.js"); ?>"></script>      
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>       
        <script src="<?php echo base_url("assets/js/bootstrap.min.js") ?>"></script>
    </head>
    <body>
        <div class="main-top" id="home">
            <!-- header -->
            <div class="headder-top">
                <div class="container-fluid">
                    <!-- nav -->
                    <nav >
                        <div id="logo">
                            <h1><a class="text-center" href=""><img  style="height: 13vh; border-bottom: 0px solid white;" src="<?php echo base_url("/assets/images/logo.png"); ?>"></a></h1>
                        </div>
                        <label for="drop" class="toggle">Menu</label>
                        <input type="checkbox" id="drop">
                        <ul class="menu mt-2 nav-background" style="background-color:black;border:1px solid black;">
                            <li class="active"><a href="">Home</a></li>
                            <li class="mx-lg-3 mx-md-2 my-md-0 my-1"><a href="#about">About</a></li>
                            <?php if ($this->sessionvalidator->validateSession("userData")) {
                                ?>
                                <li><a href="<?php echo site_url("user/Dashboard"); ?>">Move To Dashboard</a></li>  
                                <?php
                            } else {
                                ?>
                                <li><a href="#"  data-toggle="modal" data-target="#loginModal">Login</a></li>  
                            <?php }
                            ?>
                            <li><a href="<?php echo site_url("Authentication/signUp") ?>">Register</a></li>                            
                            <li><a href="<?php echo site_url("admin") ?>">Admin</a></li>

                        </ul>
                    </nav>
                    <!-- //nav -->
                </div>
            </div>
            <!-- //header -->
            <!-- banner -->
            <div class="main-banner">
                <div class="container">
                    <div class="style-banner ">
                        <h4 class="mb-1" style='color:#ff7700;'><?php
                            if (sizeof($branch)) {
                                $br = $branch[0];
                                echo $br->branch_short_name;
                            }
                            ?></h4>
                        <h5>A Constituent College under Lalit Narayan Mithila University, Darbhanga</h5>
                    </div>
                    <div class="two-demo-button mt-lg-4 mt-3">
                        <p class="text-white">It takes immense pleasure and pride to introduce our Alumni to the institute’s website. Our Alumni have left no varied fields untouched...</p>
                    </div>
                    <div class="view-buttn mt-md-4 mt-sm-4 mt-3">
                        <a href="#about" class="btn scroll"><b>About Alumni Portal</b></a>
                    </div>
                </div>
            </div>
        </div>
        <!-- //banner -->
        <section class="three-grids">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-3 col-md-6 col-sm-6 p-0">
                        <div class="img-abt-info1">
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-6 p-0">
                        <div class="img-abt-info3">
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-6 p-0">
                        <div class="img-abt-info2">
                        </div>
                    </div>
                    <div class="col-lg-3 col-md-6 col-sm-6 p-0">
                        <div class="img-abt-info4">
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- about -->
        <section class="about py-lg-4 py-md-3 py-sm-3 py-3" id="about">
            <div class="container py-lg-5 py-md-4 py-sm-4 py-3">
                <div class="row">
                    <div class="col-lg-7 col-md-6">
                        <div class="wthree-about-txt mb-lg-5 mb-md-4 mb-3">
                            <h5>About Alumni Portal</h5>
                        </div>
                        <div class="about-para-txt">
                            <p>It takes immense pleasure and pride to introduce our Alumni to the institute’s website. Our Alumni have left no varied fields untouched. They  have always brought good name and glory to the Institute. They have also shown and kept the ‘Value System’ which were instilled in them during the college days. The Institute not only focuses on the quality education but also works on the ‘Holistic Development’,which can be very well seen through our Alumni who are doing great and earning laurels in the different places they are working.
                            </p>
                            <p class="mt-2">It is not only in India they are doing wonders but all over the globe they are doing so. Although the list is non ending, still we would like to put in few names where our ‘Lambent Lamps’ are spreading light.</p>
                        </div>

                    </div>
                    <div class="col-lg-5 col-md-6 about-imgs-txt">
                    </div>
                </div>
            </div>
        </section>
        <!-- about  -->
        <!-- service -->
        <section class="service py-lg-4 py-md-3 py-sm-3 py-3" id="service">
            <div class="container py-lg-5 py-md-4 py-sm-4 py-3">
                <h3 class="title text-center mb-md-4 mb-sm-3 mb-3 mb-2">Our Services</h3>
                <div class="title-wls-text text-center mb-lg-5 mb-md-4 mb-sm-4 mb-3">
                    <p> </p>
                </div>
                <div class="row">
                    <div class="col-lg-5 service-two-grids">
                        <div class="color-img-five">
                            <div class="ser-sevice-grid text-center">
                                <h4 class="pb-3">Connecting People</h4>
                                <p>Our priority is to connect the currently enrolled 'Students' and passed out 'Alumnies'.</p>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-7 service-two-grids">
                        <div class="img-cols-grid row">
                            <div class="col-lg-6 col-md-6 col-sm-6 ">
                                <div class=" color-img-two">
                                    <div class="ser-sevice-grid text-center">
                                        <h4 class="pb-3">Update Your Job</h4>
                                        <p>Alumni can update his/her job updates to through this portal and manage it accordingly.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-6">
                                <div class=" color-img-one" >
                                    <div class="ser-sevice-grid text-center">
                                        <h4 class="pb-3">Feedback</h4>
                                        <p>Taking feedback is the most important task in any organisation. We provide a 'Feedback' service too. </p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-6 mt-md-4 mt-3">
                                <div class=" color-img-three">
                                    <div class="ser-sevice-grid text-center">
                                        <h4 class="pb-3">Gallery</h4>
                                        <p>Student / Alumni can maintain thier own picture gallary and can update it timely.</p>
                                    </div>
                                </div>
                            </div>
                            <div class="col-lg-6 col-md-6 col-sm-6 mt-md-4 mt-3">
                                <div class=" color-img-four">
                                    <div class="ser-sevice-grid text-center">
                                        <h4 class="pb-3">Publish Your Posts</h4>
                                        <p>Here you can share your ideas and thoughts amongst everyone.</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <!-- Login Modal -->
        <div class="modal fade" id="loginModal" role="dialog" data-backdrop="static" data-keyboard="false">
            <div class="modal-dialog modal-xl">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Login</h4>
                        <button type="button" class="close" data-dismiss="modal">&times;</button>
                    </div>
                    <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                        <?php
                        echo form_open(site_url("Authentication/authlogin"))
                        ?>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="form-group text-center">
                                    <img style="height:8em" src="<?php echo base_url("/assets/images/logo.png"); ?>">
                                </div>
                                <div class="col-lg-12">
                                    <?php
                                    if (validation_errors() != false) {
                                        ?>
                                        <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                                    <?php } ?>
                                    <?php if ($this->session->flashdata('successMessage')) { ?>
                                        <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                                    <?php } ?>
                                    <?php if ($this->session->flashdata('errorMessage')) { ?>
                                        <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                    <?php } ?>
                                </div>
                                <div class="form-group">
                                    <label for="email">Email</label>
                                    <input class="form-control" placeholder="Enter Email" type="text" name="email" id="email">
                                </div>
                                <div class="form-group">
                                    <label for="password">Password</label>
                                    <input class="form-control" placeholder="Enter Password" type="password" name="password" id="password">
                                </div>
                                <div class=" mb-3">
                                    <button class="btn btn-success btn-block">Log In </button>                       
                                </div>
                            </div>
                        </div>
                    </div>    
                    <?php
                    echo form_close();
                    ?>
                </div>
            </div>
        </div>
        <!--//Login Modal -->
        <script>
            $(document).ready(function () {
                if (window.location.href.indexOf('#loginModal') != -1) {
                    $('#loginModal').modal('show');
                }
            });
        </script>
