<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title><?php echo $courseName[0]->course_name; ?> | Year(Semester-<?php echo $selectedSem; ?>) All Branches 
            Choice Based Credit System (Scheme of Studies & Examinations) | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css' />
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/buttons.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap-popper.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/dataTables.buttons.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jszip.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/pdfmake.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/vfs_fonts.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.print.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.html5.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/buttons.colVis.min.js"); ?>"></script>
        <script>
            var csrfHash = '';
        </script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="main-content">
                <div class="container-fluid content-top-gap">
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb my-breadcrumb">
                            <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard"); ?>">Home</a></li>
                            <li class="breadcrumb-item active" aria-current="page">Academics</li>
                            <li class="breadcrumb-item active" aria-current="page"><a href="<?php echo site_url("admin/Subject/creditBasedSubjectReport"); ?>">Credit Based Subject Report</a></li>
                        </ol>
                    </nav>

                    <section class="data-tables">
                        <div class="card card_border p-4">
                            <h3 class="card__title"><i class="fa fa-book"></i> Credit Based Subject Report</h3><br>
                            <div class="table-responsive">
                                <?php if ($this->session->flashdata('successMessage')) { ?>
                                    <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                                <?php } ?>
                                <?php if ($this->session->flashdata('errorMessage')) { ?>
                                    <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                                <?php } ?> 
                                <?php echo form_open(site_url('admin/Subject/creditBasedSubjectReport'), ['name' => 'subjectReportFrm', 'id' => 'subjectReportFrm']); ?>
                                <fieldset>
                                    <legend>Course, Semester & Subject Info</legend>
                                    <div class="form-row">
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourse" class="input__label">Course *</label>
                                            <select id="subjectCourse" name="subjectCourse" class="custom-select">
                                                <option value="">Select Course</option>
                                                <?php foreach ($courses as $course) { ?>
                                                    <option value="<?php echo $course->course_id; ?>" <?php echo set_select("subjectCourse", $course->course_id); ?>><?php echo stripslashes($course->course_name); ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3">
                                            <label for="subjectCourseSemOrYear" class="input__label">Semester/Year *</label>
                                            <select id="subjectCourseSemOrYear" name="subjectCourseSemOrYear" class="custom-select">
                                                <option value="">Select Semester/Year</option>
                                            </select>
                                        </div>
                                        <div class="form-group col-md-3 mt-4">
                                            <label for="filterTestBtn" class="input__label"></label>
                                            <button id="filterTestBtn" name="filterTestBtn" type="submit" class="btn btn-sm btn-warning pull-right">Apply Filter & Fetch Student-Assessment Data&nbsp;<i class="fa fa-filter"></i><i class="fa fa-arrow-right"></i></button>
                                        </div>
                                        <span id="spanError" style="color:red;"> </span>
                                </fieldset>
                                <fieldset id="subjectList" style="display: 
                                <?php
                                if (sizeof($allSubjects)) {
                                    echo "block";
                                } else {
                                    echo "none";
                                }
                                ?>;">
                                    <legend>Student(s) List</legend>
                                    <div class="table-responsive">
                                        <table style="width:100%" id="allSubjects" class="bootstrap-datatable table-striped table-hover">
                                            <thead>
                                                <tr>
                                                    <th rowspan="2">Sr. No</th>
                                                    <th rowspan="2">Code</th>
                                                    <th rowspan="2">Subject</th>
                                                    <th colspan="3">Periods</th>
                                                    <th colspan="3">Sessional Marks</th>
                                                    <th colspan="3">End Semester Marks</th>
                                                    <th rowspan="2">Credit</th>
                                                </tr>
                                                <tr>
                                                    <th>L</th>
                                                    <th>T</th>
                                                    <th>P</th>
                                                    <th>CT </th>
                                                    <th>TA</th>
                                                    <th>Total</th>
                                                    <th>TE</th>
                                                    <th>PE</th>
                                                    <th>Total</th>
                                                </tr>
                                            </thead>

                                            <tbody>
                                                <?php
                                                for ($i = 0; $i < sizeof($allSubjects); $i++) {
                                                    $record = $allSubjects[$i];
                                                    ?>
                                                    <tr>
                                                        <td><?php echo ($i + 1); ?></td>
                                                        <td><?php echo stripslashes($record->sm_code); ?></td>
                                                        <td><?php echo stripslashes($record->sm_name); ?></td>
                                                        <td><?php echo stripslashes($record->sm_lecture_hr); ?></td>
                                                        <td><?php echo stripslashes($record->sm_tutorial_hr); ?></td>
                                                        <td><?php echo stripslashes($record->sm_practical_hr); ?></td>
                                                        <td><?php echo stripslashes($record->sm_assessment_ct); ?></td>
                                                        <td><?php echo stripslashes($record->sm_assessment_ta); ?></td>
                                                        <td> <?php echo stripslashes($record->sm_assessment_ta) + stripslashes($record->sm_assessment_ct); ?></td>
                                                        <td><?php echo stripslashes($record->sm_end_sem_theory); ?></td>
                                                        <td><?php echo stripslashes($record->sm_end_sem_practical); ?></td>
                                                        <td> <?php echo stripslashes($record->sm_end_sem_theory) + stripslashes($record->sm_end_sem_practical) + stripslashes($record->sm_assessment_ta) + stripslashes($record->sm_assessment_ct); ?></td>
                                                        <td> <?php echo stripslashes($record->sm_lecture_hr) + stripslashes($record->sm_tutorial_hr) + (stripslashes($record->sm_practical_hr) / 2); ?></td>
                                                    </tr>
                                                <?php } ?>
                                            </tbody>
                                        </table>
                                    </div>
                                </fieldset>    
                            </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            $("#subjectCourse").on("change", function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                $("#subjectList").css("display", "none");



                if ($(this).val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDown/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            subjectReportFrm.csrf_token.value = csrfHash;
                        }
                    });

                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                    //$("#studentDetails").html("");
                }
            });






            $(document).ready(function () {
                $("#allSubjects").DataTable({responsive: true, dom: 'Blfrtip'});
            });

            $("#filterTestBtn").on("click", function () {
                if ($("#subjectCourse").val() === "" || $("#subjectCourse").val() === null) {
                    $("#spnErr").html("Please Select Any Course To Proceed.");
                    $("#subjectList").css("display", "none");
                    event.preventDefault();
                    $("#subject").focus();
                } else if ($("#subjectCourseSemOrYear").val() === "" || $("#subjectCourseSemOrYear").val() === null) {
                    $("#spnErr").html("Please Select Any Assessment To Proceed.");
                    $("#subjectList").css("display", "none");
                    event.preventDefault();
                    $("#subjectCourseSemOrYear").focus();
                } else {
                    $("#spnErr").html("");
                    $("#subjectReportFrm").submit();
                }
            });

            $(document).ready(function () {
                $(".se-pre-con").fadeIn("slow");
                if (csrfHash === '') {
                    csrfHash = '<?php echo $this->security->get_csrf_hash(); ?>';
                }
                //$("#subjectList").css("display", "none");
                if ($("#subjectCourse").val().trim() !== "") {
                    $.ajax({
                        url: '<?php echo site_url('admin/Course/getCourseSemesterOrYearForDropDownSelected/'); ?>',
                        data: {course_id: $("#subjectCourse").val(), semester: '<?php echo $selectedSem; ?>', csrf_token: csrfHash},
                        type: 'POST',
                        success: function (result) {
                            var semesterOrYearInfo = JSON.parse(result);
                            $(".se-pre-con").fadeOut("slow");
                            $("#subjectCourseSemOrYear").html(semesterOrYearInfo.sem_year_list);
                            csrfHash = semesterOrYearInfo.csrfHash;
                            subjectReportFrm.csrf_token.value = csrfHash;
                        }
                    });

                } else {
                    $(".se-pre-con").fadeOut("slow");
                    $("#subjectCourseSemOrYear").html("<option value=''>Select Semester/Year</option>");
                }
            });
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>