<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>404 Page Not Found | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
    </head>
    <body>
        <div class="se-pre-con"></div>
        <section>
            <?php $this->load->view("admin/navAndHeader"); ?>
            <div class="error-bg">
                <section class="error py-md-5 py-3">
                    <div class="card-body">
                        <div class='error-info'>
                            <div class='error__404'>404</div>
                            <div class='not__found'>Page not found</div>
                            <p class="error-text my-3 mb-4">Oops! The page you are looking for does not exist. It might have been moved or deleted.</p>
                            <a class="btn btn-style btn-primary" href="<?php echo base_url("admin/Dashboard");?>">Back To Dashboard</a>
                        </div>
                    </div>
                </section>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>