<!doctype html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Forget Password | College Automation System</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" >
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
    </head>
    <body style="background-image: url('<?php echo base_url("assets/admin/images/bg.png"); ?>');background-repeat: no-repeat;background-size:100% 100%;">
        <section>
            <!-- content -->
            <div class="">
                <section class="login-form py-md-5 py-3">
                    <div class="card card_border p-md-4">
                        <div class="card-body">
                            <?php echo form_open(site_url('admin/Authentication/forgetPassword'), ['id' => 'userForgetPasswordFrm', 'name' => 'userForgetPasswordFrm']); ?>
                            <div class="login__header text-center mb-lg-5 mb-4">
                                <h3 class="login__title mb-2"> 
                                    <span class="text-primary">
                                        <img src="<?php echo base_url("assets/admin/images/logo.png"); ?>" height='100px;'>
                                    </span>
                                </h3>
                                <h6>Ram Krishna College, Madhubani</h6>
                                <h6>CAS (College ERP)</h6>
                                <br>
                                <h5><b><u>Forgot Password</u></b></h5>
                            </div>
                            <?php if ($this->session->flashdata('successMessage')) { ?>
                                <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?></strong></div>
                            <?php } ?>  
                            <?php if ($this->session->flashdata('errorMessage')) { ?>
                                <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong></div>
                            <?php } ?>
                            <div class="form-group">
                                <label for="username" class="input__label">Username</label>
                                <input type="text" class="form-control login_text_field_bg input-style" id="username" name="username" value="<?php echo set_value('username'); ?>" placeholder="Enter Username" autofocus="off">
<!--                                <small id="forgetPasswordInstruction" class="form-text text-muted" style="color:#ff0000;font-weight: bolder;">Please Contact HR/Admin To Reset Your Password.</small>-->
                            </div>
                            <div class="d-flex align-items-center flex-wrap justify-content-between">
                                <button type="submit" name="submitBtn" class="btn btn-danger btn-block btn-style mt-4">Submit <i class="fa fa-arrow-right"></i></button>
                            </div>
                            <?php echo form_close(); ?>	
                            <p class="backtohome mt-4"><a href="<?php echo site_url("admin/Authentication"); ?>" class="back"><i class="fa fa-chevron-left" aria-hidden="true"></i>Back to Login </a></p>
                        </div>
                    </div>
                </section>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>