<!DOCTYPE HTML>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Details Of <?php echo stripslashes($employeeInfo->tprfl_firstname) . " " . stripslashes($employeeInfo->tprfl_lastname); ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery.dataTables.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery.dataTables.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <div>
                <div class="container content-top-gap">
                    <div>
                        <button id="printBtn" name="printBtn" class="btn btn-sm btn-primary pull-right" onClick="printEmployee();">Print <i class="fa fa-print"></i></button>
                    </div>
                    <section class="forms" id="employeeDetails">
                        <div class="card card_border py-2 mb-4">
                            <div class="cards__heading">
                                <h3><center><i class="fa fa-user"></i> Employee Detail </center></h3>
                            </div>
                            <div class="card-body">
                                <div class="col-md-9 pull-left">
                                    <div class="card">
                                        <div class="card-header"><b>Basic & Office Information</b></div>
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-md-6"><b>Code/Id: </b><?php echo ($employeeInfo->smember_code == "" || $employeeInfo->smember_code == NULL) ? "-" : stripslashes($employeeInfo->smember_code); ?></div>
                                                <div class="col-md-6"><b>Designation: </b><?php echo stripslashes($employeeInfo->designatioName); ?></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4"><b>First Name: </b><?php echo stripslashes($employeeInfo->tprfl_firstname); ?></div>
                                                <div class="col-md-4"><b>Last Name: </b><?php echo stripslashes($employeeInfo->tprfl_lastname); ?></div>
                                                <div class="col-md-4"><b>Gender: </b><?php echo ($employeeInfo->tprfl_gender == "M") ? "Male" : (($employeeInfo->tprfl_gender == "F") ? "Female" : "Transgender"); ?></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4"><b>D.O.B.: </b><?php echo ($employeeInfo->tprfl_dob == "" || $employeeInfo->tprfl_dob == NULL) ? "-" : date("d-m-Y", strtotime($employeeInfo->tprfl_dob)); ?></div>
                                                <div class="col-md-4"><b>PAN No.: </b><?php echo ($employeeInfo->PANNumber == "" || $employeeInfo->PANNumber == NULL) ? "-" : stripslashes($employeeInfo->PANNumber); ?></div>
                                                <div class="col-md-4"><b>Type: </b><?php echo $employeeInfo->tprfl_appointment_type; ?></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6"><b>Category: </b><?php echo stripslashes($employeeInfo->dcm_name); ?></div>
                                                <div class="col-md-6"><b>Sub-Dept.: </b><?php echo stripslashes($employeeInfo->sub_dept_name); ?></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12"><b>Department: </b><?php echo stripslashes($employeeInfo->dept_name); ?></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4"><b>D.O.J.: </b><?php echo ($employeeInfo->tprfl_doj == "" || $employeeInfo->tprfl_doj == NULL) ? "-" : date("d-M-Y", strtotime($employeeInfo->tprfl_doj)); ?></div>
                                                <div class="col-md-4"><b>Is Working: </b><?php echo ($employeeInfo->tld_working_status == "L") ? "No" : "Yes"; ?></div>
                                                <div class="col-md-4"><b>D.O.R.: </b><?php echo ($employeeInfo->tprfl_dor == "" || $employeeInfo->tprfl_dor == NULL) ? "-" : date("d-M-Y", strtotime($employeeInfo->tprfl_dor)); ?></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-3 pull-right">
                                    <div class="card text-center card_border py-2">
                                        <div class="card-body">
                                            <img src="<?php echo base_url($employeeInfo->staff_photograph); ?>" alt=" ">
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header"><b>Contact & Address Information</b></div>
                                        <div class="card-body">
                                            <div class="row">
                                                <div class="col-md-4"><b>Email: </b><?php echo $employeeInfo->tprfl_email; ?></div>
                                                <div class="col-md-4"><b>Mobile: </b><?php echo $employeeInfo->tprfl_mobile_no; ?></div>
                                                <div class="col-md-4"><b>Tel. No: </b><?php echo ($employeeInfo->tprfl_tel_no == "" || $employeeInfo->tprfl_tel_no == NULL) ? "-" : $employeeInfo->tprfl_tel_no; ?></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6"><b>Comm. Addr. City: </b><?php echo $employeeInfo->commCityName; ?></div>
                                                <div class="col-md-6"><b>Comm. Addr. State: </b><?php echo $employeeInfo->commStateName; ?></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12"><b>Comm. Full Address: </b><?php echo ($employeeInfo->tprfl_comm_full_address == "" || $employeeInfo->tprfl_comm_full_address == NULL) ? "-" : stripslashes($employeeInfo->tprfl_comm_full_address); ?></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6"><b>Perma. Addr. City: </b><?php echo $employeeInfo->residCityName; ?></div>
                                                <div class="col-md-6"><b>Perma. Addr. State: </b><?php echo $employeeInfo->residStateName; ?></div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12"><b>Perma. Full Address: </b><?php echo ($employeeInfo->tprfl_perma_full_address == "" || $employeeInfo->tprfl_perma_full_address == NULL) ? "-" : stripslashes($employeeInfo->tprfl_perma_full_address); ?></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header"><b>Promotion & Appraisals</b></div>
                                        <div class="card-body">
                                            <table id="employeePromotions" class="table table-light table-striped table-hover" style="width:100%">
                                                <tr>
                                                    <th>Sr. No</th>
                                                    <th>Designation</th>
                                                    <th>D.O.J.</th>
                                                    <th>D.O.R.</th>
                                                </tr>

                                                <?php
                                                for ($i = 0; $i < sizeof($employeePromotion); $i++) {
                                                    ?>
                                                    <tr>
                                                        <td><?php echo ($i + 1); ?></td>
                                                        <td><?php echo stripslashes($employeePromotion[$i]->designationName); ?></td>
                                                        <td><?php echo ($employeePromotion[$i]->spm_doj == "" || $employeePromotion[$i]->spm_doj == NULL) ? "-" : date("d-M-Y", strtotime($employeePromotion[$i]->spm_doj)); ?></td>
                                                        <td><?php echo ($employeePromotion[$i]->spm_dor == "" || $employeePromotion[$i]->spm_dor == NULL) ? "-" : date("d-M-Y", strtotime($employeePromotion[$i]->spm_dor)); ?></td>
                                                    </tr>
                                                    <?php
                                                }
                                                ?>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header"><b>Achievements</b></div>
                                        <div class="card-body">
                                            <table id="employeeAchievements" class="table table-light table-striped table-hover" style="width:100%">
                                                <?php if (sizeof($employeeAchievement)) { ?>
                                                    <tr>
                                                        <th>Sr. No</th>
                                                        <th>Head</th>
                                                        <th>Title</th>
                                                        <th>Session</th>
                                                    </tr>
                                                    <?php
                                                    for ($i = 0; $i < sizeof($employeeAchievement); $i++) {
                                                        ?>
                                                        <tr>
                                                            <td><?php echo ($i + 1); ?></td>
                                                            <td><?php echo stripslashes($employeeAchievement[$i]->tsam_short_title); ?></td>
                                                            <td><?php echo stripslashes($employeeAchievement[$i]->sam_title); ?></td>
                                                            <td><?php echo stripslashes($employeeAchievement[$i]->session_name); ?></td>
                                                        </tr>
                                                        <?php
                                                    }
                                                    ?>
                                                    <?php
                                                } else {
                                                    ?>
                                                    <tr>
                                                        <th>No Achievements Added By Employee</th>
                                                    </tr>
                                                <?php } ?>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div class="card-body">
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header"><b>ERP Information</b></div>
                                        <div class="card-body">
                                            <?php
                                            $loginStatus = "";
                                            if ($employeeInfo->tld_working_status != "L") {
                                                $loginStatus = ($employeeInfo->tld_delete_status == "T") ? "Deleted" : (($employeeInfo->tld_login_status == "T") ? "Active" : "Temporarily Blocked");
                                            } else {
                                                $loginStatus = "Permanently Blocked";
                                            }
                                            ?>
                                            <div class="row">
                                                <div class="col-md-3"><b>Role: </b><?php echo stripslashes($employeeInfo->role_name); ?></div>
                                                <div class="col-md-3"><b>Login Id: </b><?php echo $employeeInfo->tld_signinid; ?></div>
                                                <div class="col-md-3"><b>Status: </b><?php echo $loginStatus; ?></div>
                                                <div class="col-md-3"><b>Is Head/Supervisor: </b><?php echo ($employeeInfo->tld_is_head == "T") ? "Yes" : "No"; ?></div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                </div>
            </div>
        </section>
        <script>
            function printEmployee() {
                var divToPrint = document.getElementById("employeeDetails").innerHTML;
                var oldPage = document.body.innerHTML;
                document.body.innerHTML = divToPrint;
                window.print();
                document.body.innerHTML = oldPage;
            }
        </script>
        <?php $this->load->view("admin/footer"); ?>
    </body>
</html>