<!doctype html>
<html lang="en" id="html">
    <head id="head">
        <meta http-equiv="content-type" content="text/html;charset=UTF-8">
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Fee Receipt <?php echo $receipt_number; ?> | College Automation System | <?php echo $this->session->userdata("adminData")["branch_short_name"]; ?></title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style.css"); ?>">
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/bootstrap-select.min.css"); ?>" type='text/css'>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/jquery-ui.css"); ?>">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap">
        <link rel="image icon" href="<?php echo base_url("assets/admin/images/logo.png"); ?>">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/jquery-ui.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
    </head>
    <body class="cbp-spmenu-push">
        <div class="se-pre-con"></div>
        <section>
            <div>
                <div class="container border border-top-0">
                    <?php if ($this->session->flashdata('successMessage')) { ?>
                        <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                    <?php } ?>
                    <?php if ($this->session->flashdata('errorMessage')) { ?>
                        <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                    <?php } ?>
                    <section class="forms" id="appPrint">
                        <div class="card card_border p-1">
                            <div class="card col-lg-12">
                                <div class="text-center">
                                    <a href="javascript:void(0);"><img src="<?php echo base_url("assets/admin/images/ietheader.png"); ?>" alt=""></a>
                                </div>
                                <div class="card-body">
                                    <table class="table table-bordered" style="">
                                        <tr>
                                            <th colspan="8" style="text-align: center;"><h3><b><u>Fee Receipt</u></b></h3></th>
                                        </tr>
                                        <tr>
                                            <td colspan="3" style="text-align: left;"><b>Receipt No.: </b><?php echo $receipt_number; ?></td>
                                            <td colspan="3" style="text-align: left;"><b>For Session.: </b><?php echo $session; ?></td>
                                            <td colspan="3" style="text-align: right;"><b>Date: </b><?php echo $receipt_date; ?></td>
                                        </tr>
                                    </table>
                                    <hr style="border-top: 1px solid black;">
                                    <table class="table table-bordered">
                                        <tr>
                                            <td colspan="6" style="text-align: left;"><b>Name: </b><?php echo stripslashes($student_details->tspi_name); ?></td>
                                            <td colspan="2" style="text-align: left;"><b>Course: </b><?php echo stripslashes($student_details->course_name . "(" . $student_details->tcsm_course_type . ")"); ?></td>
                                        </tr>
                                        <tr>
                                            <td colspan="2" style="text-align: left;"><b>Form No.: </b><?php echo stripslashes($student_details->tspi_form_no); ?></td>
                                            <td colspan="4" style="text-align: left;"><b>College ID: </b><?php echo ($student_details->tspi_enrollment_no == $student_details->tspi_form_no) ? "-" : stripslashes($student_details->tspi_enrollment_no); ?></td>
                                            <td colspan="2" style="text-align: left;"><b>Roll No.: </b><?php echo ($student_details->tspi_rollNumber == $student_details->tspi_form_no) ? "-" : stripslashes($student_details->tspi_rollNumber); ?></td>  
                                        </tr>
                                        <tr>
                                            <td colspan="2" style="text-align: left;"><b>Amount Received: </b><?php echo "<i class='fa fa-inr'></i> " . $total_paid . "/-"; ?></td>
                                            <td colspan="2" style="text-align: left;"><b>Date: </b><?php echo $chqDDTxnNEFTDate; ?></td>  
                                            <td colspan="2" style="text-align: left;"><b>Payment Mode: </b><?php echo $fee_mode->fmm_name; ?></td>
                                            <td colspan="2" style="text-align: left;"><b>Chq./DD/NEFT/UPI/Txn. Ref. No.: </b><?php echo $chqDDTxnNEFTRefNo; ?></td>
                                        </tr>
                                    </table>
                                    <hr style="border-top: 1px solid black;">
                                    <table class="table table-bordered">
                                        <tr height="100px;">
                                            <th colspan="4" style="text-align: center;font-size: smaller;vertical-align: middle;"><b><?php echo "<i class='fa fa-inr'></i> " . $total_paid . "/-"; ?></b></th>
                                            <th colspan="3" style="text-align: center;vertical-align: bottom;">
                                                <b style="text-decoration: overline;">Authorised Signature</b><br>
                                                <h6 style="font-size: smaller;font-style: italic;">For Institute Of Engineering & Technology, Agra</h6>
                                            </th>
                                        </tr>
                                    </table>
                                    <div class="form-row">
                                        <div class="form-group col-md-12">
                                            <ul>
                                                <li>
                                                    <small class="form-text text-muted">In no case, fees once deposited, will be refunded/adjusted/transferred.</small>
                                                </li>
                                                <li>
                                                    <small class="form-text text-muted">Security money will be refuned after completion of course.</small>
                                                </li>
                                                <li>
                                                    <small class="form-text text-muted">All disputes subject to Agra jurisdiction only.</small>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </section>
                    <div class="form-row mt-3">
                        <?php if (!$is_old_fee) {
                            ?>
                            <div class="text-center col-sm-6">
                                <a href="<?php echo site_url("admin/Fee/collectTransportOptionalFee"); ?>" class="btn btn-sm btn-block btn-warning"><i class="fa fa-arrow-left"></i>&nbsp;Collect Another Fee</a>
                            </div>
                            <?php }
                        ?>

                        <div class="text-center <?php if (!$is_old_fee) {
                        ?> col-sm-6 <?php }else{ ?> col-sm-12 <?php  } ?>">
                            <button class="btn btn-sm btn-block btn-dark" onclick="printDiv()" id="print"><i class="fa fa-print"></i>&nbsp;Print</button>
                        </div>
                    </div>
                </div>
            </div>
        </section>
        <?php $this->load->view("admin/footer"); ?>
        <script>
            function printDiv() {
                var divToPrint = document.getElementById('appPrint');
                console.log(divToPrint);
                var head = document.getElementById('head');
                console.log(head);
                var newWin = window.open('', 'Print-Window');
                newWin.document.open();
                newWin.document.write('<html>' + head.innerHTML + '<body onload="window.print()">' + divToPrint.innerHTML + '</body></html>');
                newWin.document.close();
                setTimeout(function () {
                    newWin.close();
                }, 10);
            }
        </script>
    </body>
</html>


