<?php
/*
 * Navigation Menus And Header
 */
?>
<div class="sidebar-menu sticky-sidebar-menu">
    <div class="logo">
        <a href="<?php echo site_url("student/Dashboard"); ?>">
            <img src="<?php echo base_url("assets/admin/images/side_nav_logo_420_120.png"); ?>" alt="<?php echo $this->session->userdata("studentData")["branch_short_name"]; ?>" title="<?php echo $this->session->userdata("studentData")["branch_short_name"]; ?>" class="img-fluid" style="height:50px;" />
        </a>
    </div>
    <div class="logo-icon text-center">
        <a href="<?php echo site_url("student/Dashboard"); ?>" title="<?php echo $this->session->userdata("studentData")["branch_short_name"]; ?> | iCampusX"><img src="<?php echo base_url("assets/admin/images/header.png"); ?>" alt="logo-icon"> </a>
    </div>
    <div class="sidebar-menu-inner">
        <ul class="nav nav-pills nav-stacked custom-nav">
            <li id="dashboard" class=""><a href="<?php echo site_url("student/Dashboard"); ?>"><i class="fa fa-tachometer"></i><span> Dashboard</span></a></li>
            <li id="academics" class="menu-list">
                <a href="#">
                    <i class="fa fa-book"></i>
                    <span>Academics <i class="lnr lnr-chevron-right"></i></span>
                </a>
                <ul class="sub-menu-list">
                    <li><a href="<?php echo site_url("student/Attendance"); ?>">Attendance</a> </li>
                    <li><a href="<?php echo site_url("student/Academics/courseProfile"); ?>">Course Profile</a> </li>
                    <li><a href="<?php echo site_url("student/Academics/semesterOrYearInfo"); ?>">Sem./Year Marks Info</a></li>
                </ul>
            </li>
            <li id="taskAndAssignments" class="menu-list">
                <a href="#">
                    <i class="fa fa-tasks"></i>
                    <span>Assessments <i class="lnr lnr-chevron-right"></i></span>
                </a>
                <ul class="sub-menu-list">
                    <li><a href="<?php echo site_url("student/TasksAndQuizzes"); ?>">Quizzes</a> </li>
                    <li><a href="<?php echo site_url("student/TasksAndQuizzes/eContents"); ?>">E-Contents</a> </li>
                </ul>
            </li>
            <li id="feeAndScholarships" class="menu-list">
                <a href="#">
                    <i class="fa fa-inr"></i>
                    <span>Fee & Scholarships <i class="lnr lnr-chevron-right"></i></span>
                </a>
                <ul class="sub-menu-list">
                    <li><a href="<?php echo site_url("student/Fee"); ?>">Fee Structure</a> </li>
                    <li><a href="<?php echo site_url("student/Fee/payFeeOnline"); ?>">Pay Fee</a> </li>
                    <li><a href="<?php echo site_url("student/Fee/scholarships/"); ?>">Scholarship(s)</a></li>
                </ul>
            </li>
            <li id="changePassword" class=""><a href="<?php echo site_url("student/ChangePassword"); ?>"><i class="fa fa-key"></i><span> Change Password</span></a></li>
            <li>
                <a href="" href="" data-toggle="modal" data-target="#cnfLogoutModal">
                    <i class="fa fa-power-off"></i>
                    <span>Logout</span>
                </a>
            </li>
        </ul>
    </div>
</div>
<div class="header sticky-header">
    <div class="menu-right">
        <div class="navbar user-panel-top">
            <div class="user-dropdown-details d-flex">
                <div class="profile_details_left"></div>
                <div class="profile_details">
                    <ul>
                        <li class="dropdown profile_details_drop">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" id="dropdownMenu3" aria-haspopup="true" aria-expanded="false">
                                <div class="profile_img">
                                    <img src="<?php echo base_url("assets/admin/uploads/studentData/" . $this->session->userdata('studentData')['stu_image']); ?>" class="rounded-circle" alt="">
                                    <div class="user-active">
                                        <span></span>
                                    </div>
                                </div>
                            </a>
                            <ul class="dropdown-menu drp-mnu" aria-labelledby="dropdownMenu3">
                                <li class="user-info">
                                    <h5 class="user-name"><?php echo stripslashes($this->session->userdata("studentData")["stu_name"]); ?></h5>
                                    <span class="status ml-2"><?php echo $this->session->userdata("studentData")["stu_course"] . " | " . $this->session->userdata("studentData")["stu_batch"]; ?></span><br>
                                </li>
                                <li> <a href="<?php echo site_url("student/Profile"); ?>"><i class="fa fa-user"></i>My Profile</a></li>
                                <li> <a href="<?php echo site_url("student/Profile/myAchievements"); ?>"><i class="fa fa-trophy"></i>My Achievements</a> </li>
                                <li> <a href="<?php echo site_url('student/Feedback/myRequests'); ?>"><i class="fa fa-pencil"></i>Correction Requests</a></li>
                                <li> <a href="<?php echo site_url('student/ChangePassword'); ?>"><i class="fa fa-key"></i>Change Password</a></li>
                                <li class="logout"><a href="" data-toggle="modal" data-target="#cnfLogoutModal"><i class="fa fa-power-off"></i> Logout</a></li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="cnfLogoutModal" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title"><b>Ready to Leave?</b></h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <div class="modal-body" style="max-height: calc(100vh - 160px);overflow-y: auto;">
                <b>Click on "Logout" below if you are ready to end your current session.</b><br><br><br>
                <center><a class="btn btn-danger btn-sm" href="<?php echo site_url("student/Authentication/authLogout"); ?>">Logout</a>
                    &nbsp;&nbsp;<button class="btn btn-info btn-sm" data-dismiss="modal">Cancel</button></center>
            </div>
        </div>
    </div>
</div>
<!-- Confirm Logout Modal -->