<?php
/*
 * Navigation Menus And Header
 */
?>
<?php
$typeToshow = "";
if ($this->session->userdata('role') == 'CA' && $this->session->userdata('type') == 'NA') { //Institute Admin
    $typeToshow = "Institute Admin";
} else if ($this->session->userdata('role') == 'GCM' && $this->session->userdata('type') == 'NA') { //G-Cell Member
    $typeToshow = "G-Cell Member";
} else if ($this->session->userdata('role') == 'MGMT' && $this->session->userdata('type') == 'NA') { //MGMT Member
    $typeToshow = "Mgmnt. Cell Member";
} else if ($this->session->userdata('role') == 'NA' && $this->session->userdata('type') == 'S') { //Student
    $typeToshow = "Student";
} else if ($this->session->userdata('role') == 'NA' && $this->session->userdata('type') == 'P') { //Parent
    $typeToshow = "Parent";
} else if ($this->session->userdata('role') == 'NA' && $this->session->userdata('type') == 'F') { //Faculty-Teaching
    $typeToshow = "Faculty";
} else { //Non-Teaching Staff
    $typeToshow = "Non-Teaching Staff";
}
?>
<!-- sidebar menu start -->
<div class="sidebar-menu sticky-sidebar-menu">
    <!-- logo start -->
    <div class="logo">
        <h1><a href="<?php echo site_url("Dashboard"); ?>">GRP</a></h1>
    </div>
    <!-- if logo is image enable this -->
    <!-- image logo --
    <div class="logo">
      <a href="index.html">
        <img src="image-path" alt="Your logo" title="Your logo" class="img-fluid" style="height:35px;" />
      </a>
    </div>
    <!-- //image logo -->
    <div class="logo-icon text-center">
        <a href="<?php echo site_url("Dashboard"); ?>" title="logo"><img src="<?php echo base_url("assets/images/logo.png"); ?>" alt="logo-icon"> </a>
    </div>
    <!-- //logo end -->
    <div class="sidebar-menu-inner">
        <?php if ($this->session->userdata('role') == 'CA' && $this->session->userdata('type') == 'NA') { ?>
            <!-- sidebar nav start -->
            <ul class="nav nav-pills nav-stacked custom-nav">
                <li id="dashboard" class="active"><a href="<?php echo site_url("Dashboard"); ?>"><i class="fa fa-tachometer"></i><span> Dashboard</span></a></li>
                <li id="userMgmnt" class="menu-list">
                    <a href="#">
                        <i class="fa fa-users"></i>
                        <span>User Mgmnt. <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('Users/createGCellMgmtMember'); ?>">Add G-Cell/Mgmt. Member</a> </li>
                        <li><a href="<?php echo site_url('Users/usersList'); ?>">Users Report</a> </li>
                    </ul>
                </li>
                <li id="dataMgmnt" class="menu-list">
                    <a href="#">
                        <i class="fa fa-database"></i>
                        <span>Data Mgmnt. <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('Course/createNewCourse'); ?>">Create Course</a></li>
                        <li><a href="<?php echo site_url('Course/') ?>">Courses Report</a></li>
                        <li><a href="<?php echo site_url('GrievanceCategory/createGCategory'); ?>">Create Grvnc. Catg.</a></li>
                        <li><a href="<?php echo site_url('GrievanceCategory/') ?>">Grvnc. Catgs. Report</a></li>
                    </ul>
                </li>
                <li id="reports" class="menu-list">
                    <a href="#">
                        <i class="fa fa-table"></i>
                        <span>Reports <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('Grievance') ?>">Grievances(Detailed)</a></li>
                        <li><a href="<?php echo site_url('Grievance/consolidateGrievance') ?>">Grievances(Consolidated)</a></li>
                    </ul>
                </li>
                <li id="stuGrievances" class="menu-list" style="display:none;">
                    <a href="#">
                        <i class="fa fa-question-circle"></i>
                        <span>Grievances <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url("Grievance/submitGrievance"); ?>">Post Grievance</a></li>
                        <li><a href="<?php echo site_url("Grievance"); ?>">My Grievances</a></li>
                    </ul>
                </li>
                <li id="changePassword"><a href="<?php echo site_url('ChangePassword/') ?>"><i class="fa fa-key"></i> <span>Change Password</span></a></li>
                <li><a href="<?php echo site_url('Authentication/authLogout') ?>"><i class="fa fa-power-off"></i> <span>Logout</span></a></li>
            </ul>
            <!-- //sidebar nav end -->
        <?php } else if ($this->session->userdata('role') == 'NA' && ($this->session->userdata('type') == 'S' || $this->session->userdata('type') == 'P' || $this->session->userdata('type') == 'F' || $this->session->userdata('type') == 'N')) { ?>
            <!-- sidebar nav start -->
            <ul class="nav nav-pills nav-stacked custom-nav">
                <li id="dashboard" class="active"><a href="<?php echo site_url("Dashboard"); ?>"><i class="fa fa-tachometer"></i><span> Dashboard</span></a>
                </li>
                <li id="userMgmnt" class="menu-list" style="display:none;">
                    <a href="#">
                        <i class="fa fa-users"></i>
                        <span>User Mgmnt. <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('Users/createGCellMgmtMember'); ?>">Add G-Cell/Mgmt. Member</a> </li>
                        <li><a href="<?php echo site_url('Users/usersList'); ?>">Users Report</a> </li>
                    </ul>
                </li>
                <li id="dataMgmnt" class="menu-list" style="display:none;">
                    <a href="#">
                        <i class="fa fa-database"></i>
                        <span>Data Mgmnt. <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('Course/createNewCourse'); ?>">Create Course</a></li>
                        <li><a href="<?php echo site_url('Course/') ?>">Courses Report</a></li>
                        <li><a href="<?php echo site_url('GrievanceCategory/createGCategory'); ?>">Create Grvnc. Catg.</a></li>
                        <li><a href="<?php echo site_url('GrievanceCategory/') ?>">Grvnc. Catgs. Report</a></li>
                    </ul>
                </li>
                <li id="reports" class="menu-list" style="display:none;">
                    <a href="#">
                        <i class="fa fa-table"></i>
                        <span>Reports <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="#">Grievances(Detailed)</a></li>
                        <li><a href="#">Grievances(Consolidated)</a></li>
                    </ul>
                </li>
                <li id="stuGrievances" class="menu-list">
                    <a href="#">
                        <i class="fa fa-question-circle"></i>
                        <span>Grievances <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url("Grievance/submitGrievance"); ?>">Post Grievance</a></li>
                        <li><a href="<?php echo site_url("Grievance"); ?>">My Grievances</a></li>
                    </ul>
                </li>
                <li id="changePassword"><a href="<?php echo site_url('ChangePassword/') ?>"><i class="fa fa-key"></i> <span>Change Password</span></a></li>
                <li><a href="<?php echo site_url('Authentication/authLogout') ?>"><i class="fa fa-power-off"></i> <span>Logout</span></a></li>
            </ul>
            <!-- //sidebar nav end -->
        <?php } else { ?>
            <!-- sidebar nav start -->
            <ul class="nav nav-pills nav-stacked custom-nav">
                <li id="dashboard" class="active"><a href="<?php echo site_url("Dashboard"); ?>"><i class="fa fa-tachometer"></i><span> Dashboard</span></a>
                </li>
                <li id="userMgmnt" class="menu-list" style="display:none;">
                    <a href="#">
                        <i class="fa fa-users"></i>
                        <span>User Mgmnt. <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('Users/createGCellMgmtMember'); ?>">Add G-Cell/Mgmt. Member</a> </li>
                        <li><a href="<?php echo site_url('Users/usersList'); ?>">Users Report</a> </li>
                    </ul>
                </li>
                <li id="dataMgmnt" class="menu-list" style="display:none;">
                    <a href="#">
                        <i class="fa fa-database"></i>
                        <span>Data Mgmnt. <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('Course/createNewCourse'); ?>">Create Course</a></li>
                        <li><a href="<?php echo site_url('Course/') ?>">Courses Report</a></li>
                        <li><a href="<?php echo site_url('GrievanceCategory/createGCategory'); ?>">Create Grvnc. Catg.</a></li>
                        <li><a href="<?php echo site_url('GrievanceCategory/') ?>">Grvnc. Catgs. Report</a></li>
                    </ul>
                </li>
                <li id="stuGrievances" class="menu-list">
                    <a href="#">
                        <i class="fa fa-question-circle"></i>
                        <span>My Grievances <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url("Grievance/grievanceListing/pi"); ?>">Pending/In-Progress</a></li>
                        <li><a href="<?php echo site_url("Grievance/grievanceListing/res"); ?>">Resovled</a></li>
                    </ul>
                </li>
                <li id="reports" class="menu-list">
                    <a href="#">
                        <i class="fa fa-table"></i>
                        <span>Reports <i class="lnr lnr-chevron-right"></i></span>
                    </a>
                    <ul class="sub-menu-list">
                        <li><a href="<?php echo site_url('Grievance') ?>">Grievances(Detailed)</a></li>
                        <li><a href="<?php echo site_url('Grievance/consolidateGrievance') ?>">Grievances(Consolidated)</a></li>
                    </ul>
                </li>
                <li id="changePassword"><a href="<?php echo site_url('ChangePassword/') ?>"><i class="fa fa-key"></i> <span>Change Password</span></a></li>
                <li><a href="<?php echo site_url('Authentication/authLogout') ?>"><i class="fa fa-power-off"></i> <span>Logout</span></a></li>
            </ul>
            <!-- //sidebar nav end -->
        <?php } ?>
        <!-- toggle button start -->
        <a class="toggle-btn">
            <i class="fa fa-angle-double-left menu-collapsed__left"><span>Collapse Sidebar</span></i>
            <i class="fa fa-angle-double-right menu-collapsed__right"></i>
        </a>
        <!-- //toggle button end -->
    </div>
</div>
<!-- //sidebar menu end -->
<!-- header-starts -->
<div class="header sticky-header">
    <!-- notification menu start -->
    <div class="menu-right">
        <div class="navbar user-panel-top">
            <div class="user-dropdown-details d-flex">
                <div class="profile_details_left"><?php echo $this->session->userdata('inst_name'); ?></div>
                <div class="profile_details">
                    <ul>
                        <li class="dropdown profile_details_drop">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" id="dropdownMenu3" aria-haspopup="true"
                               aria-expanded="false">
                                <div class="profile_img">
                                    <?php
                                    if ($this->session->userdata('role') == 'CA' && $this->session->userdata('type') == 'NA') {
                                        ?>
                                        <img src="<?php echo $this->session->userdata('image'); ?>" class="rounded-circle" alt="">
                                    <?php } else { ?>
                                        <img src="<?php echo base_url($this->session->userdata('image')); ?>" class="rounded-circle" alt="">
                                    <?php } ?>
                                    <div class="user-active">
                                        <span></span>
                                    </div>
                                </div>
                            </a>
                            <ul class="dropdown-menu drp-mnu" aria-labelledby="dropdownMenu3">
                                <li class="user-info">
                                    <h5 class="user-name"><?php echo $this->session->userdata('f_name'); ?></h5>
                                    <span class="status ml-2"><?php echo $typeToshow; ?></span>
                                </li>
                                <li> <a href="<?php echo site_url("Profile"); ?>"><i class="fa fa-user"></i>My Profile</a> </li>
                                <?php
                                if ($this->session->userdata('role') == 'CA' && $this->session->userdata('type') == 'NA') {
                                    ?>
                                    <li> <a href="<?php echo site_url("Profile/instituteProfile"); ?>"><i class="fa fa-university"></i>Institute Profile</a> </li>
                                <?php } ?>
                                <?php if ($this->session->userdata('email') != 'erpadmingrv@cas.com') { ?>
                                    <li> <a href="<?php echo site_url('ChangePassword') ?>"><i class="fa fa-key"></i>Change Password</a> </li>
                                    <li class="logout"> <a href="<?php echo site_url('Authentication/authLogout') ?>"><i class="fa fa-power-off"></i> Logout</a> </li>
                                        <?php
                                    }
                                    ?>   
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <!--notification menu end -->
</div>