<?php

/**
 * Description of User
 *
 * @author Softpro India Pvt. Ltd.
 */
class CourseManagement extends CI_Model {

    //put your code here
    public function __construct() {
        parent::__construct();
    }

    function saveCourse($courseDetails) {
        $this->db->insert("tbl_course", $courseDetails);
        return $this->db->insert_id();
    }

    function getCourses($c_status = '') {
        $this->db->select("*");
        $this->db->from("tbl_course");
        if ($c_status != '')
            $this->db->where("c_status", $c_status);
        $this->db->where("c_id NOT IN (0)");
        $this->db->order_by("c_name", "ASC");
        return $this->db->get();
    }

    function getCourseById($courseid) {
        $this->db->select("*");
        $this->db->from("tbl_course");
        $this->db->where("c_id", $courseid);
        return $this->db->get();
    }

    function updateCourse($courseData, $c_id) {
        $this->db->where("c_id", $c_id);
        return $this->db->update("tbl_course", $courseData);
    }

    function getCoursesByType($c_type = '') {
        $this->db->select("*");
        $this->db->from("tbl_course");
        $this->db->where("c_status", "T");
        if($c_type!='')
            $this->db->where("c_type IN ('BO','$c_type')");
        $this->db->order_by("c_name", "ASC");
        return $this->db->get();
    }

}
