<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of SessionManagement
 *
 * @author Softpro India Pvt. Ltd
 */
class SessionManagement extends CI_Model {

    //put your code here
    function saveSession($sessionData) {
        $this->db->insert("session_mst", $sessionData);
        return $this->db->insert_id();
    }

    function getSessions($session_active_status = '', $session_delete_status = '') {
        $this->db->select("*");
        $this->db->from("session_mst");
        if ($session_active_status = '' && $session_delete_status != '') {
            $this->db->where("session_active_status", $session_active_status);
            $this->db->where("session_delete_status", $session_delete_status);
        }
        $this->db->order_by("session_added_on");
        return $this->db->get();
    }

    function updateSession(array $sessionUpdatedInfo, $allUpdate) {
        if ($allUpdate) {
            return $this->db->update('session_mst', $sessionUpdatedInfo);
        } else {
            $this->db->where('session_id', $sessionUpdatedInfo['session_id']);
            return $this->db->update('session_mst', $sessionUpdatedInfo);
        }
    }

    function getSession($session_name, $session_id = '') {
        $this->db->select("*");
        $this->db->from("session_mst");
        $this->db->where("session_name", $session_name);
        if ($session_id != '') {
            $this->db->where("session_id NOT IN ($session_id)");
        }
        return $this->db->get();
    }

    function getSessionByID($session_id) {
        $this->db->select("*");
        $this->db->from("session_mst");
        $this->db->where("session_id", $session_id);
        return $this->db->get();
    }

}
