<?php $adminDetails=$this->session->userdata("job_admin_data");
?>
<!doctype html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta http-equiv="content-type" content="text/html;charset=UTF-8" />
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <title>Dashboard :: <?php echo $this->session->userdata("branchData")["branch_short_name"]; ?> | Recruitment Portal</title>
        <link rel="stylesheet" href="<?php echo base_url("assets/admin/css/style-liberty.css"); ?>">
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
        <script src="<?php echo base_url("assets/admin/js/jquery-1.10.2.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/bootstrap.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/Chart.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/admin/js/utils.js"); ?>"></script>
    </head>
    <body class="sidebar-menu-collapsed">
        <?php
        $this->load->view("admin/navAndHeader");
        ?>
        <!-- main content start -->
        <div class="main-content">
            <!-- content -->
            <div class="container-fluid content-top-gap">
                <div class="row">
                    <div class="pull-left">
                        <nav aria-label="breadcrumb" class="pull-right">
                            <ol class="breadcrumb my-breadcrumb">
                                <li class="breadcrumb-item"><a href="<?php echo site_url("admin/Dashboard") ?>">Home</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Dashboard</li>
                            </ol>
                        </nav>
                    </div>

                    <div class="col pull-right">
                        <nav aria-label="breadcrumb" class="pull-right">
                            <?php echo form_open(site_url('admin/Dashboard/differentSession'), ['id' => 'changeSessionFrm', 'name' => 'changeSessionFrm']); ?>
                            <select id="sessions" name="session" class="form-control" onChange="changeSessionFrm.submit();">
                                <option>-Session-</option>
                                <?php
                                //print_r($session);
                                for ($i = 0; $i < sizeof($sessions); $i++) {
                                    $sess = $sessions[$i];
                                    $color = ($sess->session_status == 'C') ? "#00FF00" : "#FF0000";
                                    if ($selectedSessionId) {
                                        $selected = ($sess->session_id == $selectedSessionId) ? "selected" : "";
                                    } else {
                                        $selected = ($sess->session_status == 'C') ? "selected" : "";
                                    }
                                    ?>
                                    <option  style="color:<?php echo $color; ?>;" <?php echo $selected; ?> value="<?php echo $sess->session_id; ?>"><?php echo $sess->session_name; ?></option>
                                    <?php
                                }
                                ?>
                            </select>
                            <?php echo form_close(); ?>
                        </nav>
                    </div>

                </div>

                <div class="welcome-msg pt-3 pb-4">
                    <h1 >Hi <span class="text-primary"><?php echo $adminDetails["admin_name"]; ?></span>, Welcome back</h1>
                </div>
                <!-- statistics data -->
                <div class="statistics">
                    <div class="row">
                        <div class="col-xl-12 ">
                            <div class="row">
                                <div class="col-sm-3 pr-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-list-alt"> </i>
                                        <h3 class="text-primary number"><?php echo sizeof($totalCategoryCount); ?></h3>
                                        <p class="stat-text">Total Category</p>
                                    </div>
                                </div>
                                <div class="col-sm-3 pl-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-building-o"> </i>
                                        <h3 class="text-secondary number"><?php echo sizeof($totalDepartmentCount); ?></h3>
                                        <p class="stat-text">Total Departments</p>
                                    </div>
                                </div>
<!--                                <div class="col-sm-2 pr-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-user"> </i>
                                        <h3 class="text-primary number"><?php //echo sizeof($totalOpeningCount); ?></h3>
                                        <p class="stat-text">Total Users</p>
                                    </div>
                                </div>-->
<!--                                <div class="col-sm-2 pl-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-tasks"> </i>
                                        <h3 class="text-secondary number"><?php echo sizeof($totalApplicationCount); ?></h3>
                                        <p class="stat-text">Total Job Applications</p>
                                    </div>
                                </div>-->
                                <div class="col-sm-3 pr-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-suitcase"> </i>
                                        <h3 class="text-primary number"><?php echo sizeof($totalOpeningCount); ?></h3>
                                        <p class="stat-text">Total Job Openings</p>
                                    </div>
                                </div>
                                <div class="col-sm-3 pl-sm-2 statistics-grid">
                                    <div class="card card_border border-primary-top p-4">
                                        <i class="fa fa-tasks"> </i>
                                        <h3 class="text-secondary number"><?php echo sizeof($totalApplicationCount); ?></h3>
                                        <p class="stat-text">Total Job Applications</p>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- //statistics data -->
                <!-- charts -->
                <div class="chart">
                    <div class="row">
                        <div class="col-lg-4 pr-lg-2 chart-grid" hidden="true">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Job Openings
                                </div>
                                <div class="card-body">
                                    <!-- pie chart -->
                                    <div id="canvas-holder">
                                        <canvas id="jobOpeningPerSession"></canvas>
                                    </div>
                                    <!-- //pie chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Session Wise
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 pr-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Job Applications 
                                </div>
                                <div class="card-body">
                                    <!-- pie chart -->
                                    <div id="canvas-holder">
                                        <canvas id="jobApplicationsByCategory"></canvas>
                                    </div>
                                    <!-- //pie chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Category Wise
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 pr-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Job Applications 
                                </div>
                                <div class="card-body">
                                    <!-- pie chart -->
                                    <div id="canvas-holder">
                                        <canvas id="jobApplications"></canvas>
                                    </div>
                                    <!-- //pie chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Department Wise
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4 pr-lg-2 chart-grid">
                            <div class="card text-center card_border">
                                <div class="card-header chart-grid__header">
                                    Job Applications 
                                </div>
                                <div class="card-body">
                                    <!-- pie chart -->
                                    <div id="canvas-holder">
                                        <canvas id="jobApplicationsByDesignation"></canvas>
                                    </div>
                                    <!-- //pie chart -->
                                </div>
                                <div class="card-footer text-muted chart-grid__footer">
                                    Designation Wise
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- //charts -->
                </div>
                <!-- //content -->
            </div>           
        </div>
        <!-- main content end-->
        <?php
        $this->load->view("admin/footer");
        ?>
        <script>
            var jobOpeningsPerSession = <?php echo $openingsPerSession; ?>;
            var jobOpeningData = {
                type: 'bar',
                data: {
                    datasets: [{
                            data: jobOpeningsPerSession.data,
                            backgroundColor: ["#FF6384", "#4BC0C0", "#FFCE56", "#BB9DFF", "#3bb300", "#000FFF", "#BB9D00", "#001a66", "#800000", "#f9a422", "#fffb00", "#225299"],
                            label: jobOpeningsPerSession.labels
                        }],
                    labels: jobOpeningsPerSession.labels
                },
                options: {
                    responsive: true
                }
            };

            var applicationsPerDepartmentForCurrentSession = <?php echo $applicationsPerDepartmentForCurrentSession; ?>;
            var applicationData = {
                type: 'pie',
                data: {
                    datasets: [{
                            data: applicationsPerDepartmentForCurrentSession.data,
                            backgroundColor: ["#4BC0C0", "#FFCE56", "#BB9DFF", "#FF6384", "#3bb300", "#000FFF", "#BB9D00", "#001a66", "#800000", "#f9a422", "#fffb00", "#225299"],
                            label: applicationsPerDepartmentForCurrentSession.labels
                        }],
                    labels: applicationsPerDepartmentForCurrentSession.labels
                },
                options: {
                    responsive: true
                }
            };

            var applicationsPerCategoryForCurrentSession = <?php echo $applicationsPerCategoryForCurrentSession; ?>;
            var applicationCatgoryData = {
                type: 'doughnut',
                data: {
                    datasets: [{
                            data: applicationsPerCategoryForCurrentSession.data,
                            backgroundColor: ["#BB9DFF", "#FF6384", "#4BC0C0", "#FFCE56", "#3bb300", "#000FFF", "#BB9D00", "#001a66", "#800000", "#f9a422", "#fffb00", "#225299"],
                            label: applicationsPerCategoryForCurrentSession.labels
                        }],
                    labels: applicationsPerCategoryForCurrentSession.labels
                },
                options: {
                    responsive: true
                }
            };

            var applicationsPerDesignationForCurrentSession = <?php echo $applicationsPerDesignationForCurrentSession; ?>;
            var applicationDesignationData = {
                type: 'doughnut',
                data: {
                    datasets: [{
                            data: applicationsPerDesignationForCurrentSession.data,
                            backgroundColor: ["#fffb00","#001a66", "#800000","#001a66", "#800000", "#f9a422","#BB9DFF", "#FF6384", "#4BC0C0", "#FFCE56", "#3bb300", "#000FFF", "#BB9D00", "#001a66", "#800000", "#f9a422", "#fffb00", "#225299"],
                            label: applicationsPerDesignationForCurrentSession.labels
                        }],
                    labels: applicationsPerDesignationForCurrentSession.labels
                },
                options: {
                    responsive: true
                }
            };

            window.onload = function () {
                var jobChart = document.getElementById('jobOpeningPerSession').getContext('2d');
                window.jobOpenings = new Chart(jobChart, jobOpeningData);
                var applicationChart = document.getElementById('jobApplications').getContext('2d');
                window.applications = new Chart(applicationChart, applicationData);
                var applicationCategoryChart = document.getElementById('jobApplicationsByCategory').getContext('2d');
                window.applicationsCategory = new Chart(applicationCategoryChart, applicationCatgoryData);
                var applicationDesignationChart = document.getElementById('jobApplicationsByDesignation').getContext('2d');
                window.applicationsDesignation = new Chart(applicationDesignationChart, applicationDesignationData);
            };

            $(document).ready(function () {
                document.getElementById("dashboard").classList.remove("active");
                document.getElementById("dataManagement").classList.remove("active");
                document.getElementById("designation").classList.remove("active");
                document.getElementById("vacancy").classList.remove("active");
                document.getElementById("reports").classList.remove("active");
                document.getElementById("dashboard").classList.add("active");
            });
        </script>