
<!DOCTYPE HTML>
<html>
    <head>
        <title>|| Recruitment Portal || <?php echo (sizeof($branch)) ? $branch[0]->branch_name : ""; ?></title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link rel="image icon" href="<?php echo base_url("/assets/images/logo.png"); ?>">
        <link href="<?php echo base_url("assets/css/bootstrap.min.css"); ?>" rel="stylesheet"> 
        <link href="<?php echo base_url("assets/css/font-awesome.css"); ?>" rel="stylesheet"> 
        <link href="<?php echo base_url("assets/css/style.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="<?php echo base_url("assets/css/jquery-ui.css"); ?>" rel='stylesheet' type='text/css' />
        <link href="https://fonts.googleapis.com/css?family=Montserrat:300,400,500,600,700,800" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css?family=Nunito:300,400,600,700,800,900&amp;display=swap" rel="stylesheet">
    </head>
    <body>
        <section class="main">
            <div>
                <div class="pb-3 mt-0">
                    <center>
                        <img width="10%" src="<?php echo base_url("/assets/images/logo.png"); ?>"/>
                        <h1 style="font-size:24px;margin:0em 0 0.0em;"><?php echo (sizeof($branch)) ? $branch[0]->branch_name : ""; ?></h1>
                        <div class="text-center">
                            <p style="letter-spacing: 1px;font-size:1.5rem;font-family: 'Nunito';margin-bottom: 0rem;color:#000;">A Constituent College under Lalit Narayan Mithila University, Darbhanga</p>
                        </div>
                        <div class="text-center">
                            <p style="letter-spacing: 1px;font-size:1.5rem;font-family: 'Nunito';color:#000;">Recruitment Portal</p>
                        </div>
                    </center>
                </div>		
                <div class="row mr-0">
                    <div class="login-form">
                        <div class="sub-head-w3-agileits">
                            <h2 style="color:#FFF;font-weight: bold;text-decoration: underline;">Applicant Information</h2>
                            <p>Fill out the form below for job opportunities</p>    
                        </div>
                        <?php echo form_open(site_url("Home/authLogin")); ?>
                        <?php if (validation_errors() != false) { ?>
                            <div class="alert alert-danger"> <strong><?php echo validation_errors(); ?></strong> </div>
                        <?php } ?>
                        <?php if ($this->session->flashdata('successMessage')) { ?>
                            <div class="alert alert-success"> <strong><?php echo $this->session->flashdata('successMessage'); ?> </strong> </div>
                        <?php } ?>
                        <?php if ($this->session->flashdata('errorMessage')) { ?>
                            <div class="alert alert-danger"> <strong><?php echo $this->session->flashdata('errorMessage'); ?></strong> </div>
                        <?php } ?>
                        <div class="inputs-w3ls ">
                            <p for="email">Email</p>
                            <i class="fa fa-envelope" aria-hidden="true"></i>
                            <input type="email" id="email" name="email" placeholder="Enter your Email" value="<?php echo set_value("email"); ?>" autocomplete="off"/>
                        </div>
                        <div class="inputs-w3ls ">
                            <p for="DOB">D.O.B.</p>
                            <i class="fa fa-calendar" aria-hidden="true"></i>
                            <input type="text" id="DOB" name="DOB" placeholder="Choose Your D.O.B." readonly="readonly" value="<?php echo set_value("DOB"); ?>" autocomplete="off"  />
                        </div>
                        <div class="clear"></div>
                        <div class="inputs-w3ls">
                            <p>Applicant Status</p>
                            <ul>
                                <li>
                                    <input type="radio" id="a-option"  <?php echo set_radio("loginAs", "N"); ?> name="loginAs" value="N">
                                    <label for="a-option"> New Applicant</label>
                                    <div class="check"></div>
                                </li>
                                <li >
                                    <input type="radio" id="b-option"  <?php echo set_radio("loginAs", "O"); ?> name="loginAs" value="O">
                                    <label class="input__label" for="b-option"> Already Registered Applicant </label>
                                    <div class="check"></div>
                                </li>
                            </ul>
                            <div class="clear"></div>
                        </div>
                        <input type="submit" value="Signin">
                        </form>	
                    </div>
                    <div class="login-form"> 
                        <div class="sub-head-w3-agileits">
                            <h2 style="color:#FFF;font-weight: bold;text-decoration: underline;">Instructions</h2>
                            <p>Applicant are requested to have the following information 
                                while filling up the application form against the advertised 
                                posts.</p>
                        </div>
                        <ul class="p-2 text-white">
                            <li class="instruction-list"><span>STEP-1 :</span> Tick the posts, for which you wish to apply</li>
                            <li class="instruction-list"><span>STEP-2 :</span> Fill up your personal details i.e. you name, father's 
                                name, present &amp; permanent address, contact number, photo, 
                                signature etc. (photo &amp; signature should be in .jpg/.jpeg/.gif/.png 
                                format with maximum 30 KB size each)</li>
                            <li class="instruction-list"><span>STEP-3 :</span> Fill up your qualifications from 10<sup>th</sup> 
                                onwards to Post Graduation Degree, UGC-NET and Ph.D. information</li>
                            <li class="instruction-list"><span>STEP-4 :</span> Fill up your research and publications i.e. seminar, 
                                conferences, FDPs, workshops, Refresher Courses etc. attended, 
                                paper published, presented etc.</li>
                            <li class="instruction-list"><span>STEP-5 :</span> Fill up your work experiences and two references 
                                who can confirm your details</li>
                            <li class="instruction-list"><span>STEP-6 :</span> Declaration. Give your confirmation that information 
                                submitted by you are true and complete to the best of your 
                                knowledge and belief. ONCE CONFIRMED YOU CAN NOT CHANGE THE INFORMATION GIVEN IN ALL STEPS.</font></li>
                        </ul>
                    </div>
                </div>
                <div class="clear"></div>
                <footer class="text-center" style="margin-top: 20px;">
                    <p style="color:#000;word-break: break-all">&copy <?php echo date("Y"); ?> Recruitment Portal. All Rights Reserved  | Designed and Developed By <a href="http://www.softproindia.in/" target="_blank">Softpro India Computer Technologies (P) Ltd.</a></p>
                </footer>
            </div>
        </section>
        <!--js-->
        <script src="<?php echo base_url("assets/js/jquery-2.2.3.min.js"); ?>"></script> 
        <script src="<?php echo base_url("assets/js/jquery.vide.min.js"); ?>"></script>
        <script src="<?php echo base_url("assets/js/bootstrap.min.js"); ?>"></script> 
        <script src="<?php echo base_url("assets/js/jquery-ui.js") ?>"></script>  
        <script >
            $("#DOB").datepicker({
                dateFormat: "dd/mm/yy",
                changeMonth: true,
                changeYear: true,
                numberOfMonths: 1,
                yearRange: '1980:-15'
            });
        </script>
        <!--//js-->
    </body>
</html>